 
: break cr .s key $0d = abort" done " ;

VARIABLE GD
VARIABLE hFileGD
VARIABLE hMapGD
VARIABLE GDFileLength 0 ,

: GDopen
  z" glyph.txt"
  GENERIC_READ GENERIC_WRITE OR 
  FILE_SHARE_READ
  0
  OPEN_EXISTING
  FILE_ATTRIBUTE_ARCHIVE
  0
  CreateFileA hFileGD !
  
  hFileGD @
  GDFileLength cell+
  GetFileSize GDFileLength !
  
  hFileGD @
  0
  PAGE_READWRITE
  0
  0
  0
  CreateFileMappingA hMapGD !
  
  hMapGD @ 
  FILE_MAP_READ FILE_MAP_WRITE OR
  0  \ file offset high
  0  \ file offset low
  0  \ #byte to map 0 = all
  MapViewOfFile GD !
;

: GDclose
  GD @ UnmapViewOfFile DROP
  hMapGD @ CloseHandle DROP
  hFileGD @ CloseHandle DROP
;

VARIABLE CDP
VARIABLE hFileCDP
VARIABLE hMapCDP
VARIABLE CDPFileLength 0 ,

: CDPopen
  z" cdp_unicode28.txt"
\  z" cdp1.txt"
  GENERIC_READ GENERIC_WRITE OR 
  FILE_SHARE_READ
  0
  OPEN_EXISTING
  FILE_ATTRIBUTE_ARCHIVE
  0
  CreateFileA hFileCDP !
  
  hFileCDP @
  CDPFileLength cell+
  GetFileSize CDPFileLength !
  
  hFileCDP @
  0
  PAGE_READWRITE
  0
  0
  0
  CreateFileMappingA hMapCDP !
  
  hMapCDP @ 
  FILE_MAP_READ FILE_MAP_WRITE OR
  0  \ file offset high
  0  \ file offset low
  0  \ #byte to map 0 = all
  MapViewOfFile CDP !
;

: CDPclose
  CDP @ UnmapViewOfFile DROP
  hMapCDP @ CloseHandle DROP
  hFileCDP @ CloseHandle DROP
;

VARIABLE hFileEXT
VARIABLE CDPpointer
VARIABLE CDPoption
VARIABLE CDPcomponents
VARIABLE EXTpointer ( extgp string at PAD )
VARIABLE TEMPpointer ( temp string at PAD+$100 )

: EXTopen
   Z" extgp.txt" 
\  GENERIC_READ GENERIC_WRITE OR 
\  FILE_SHARE_READ
   $40000000 ( GENERIC_WRITE )
   0 ( share mode )
   0 ( security attribute )
   2 ( CREATE_ALWAYS )
   $80 ( FILE_ATTRIBUTE_NORMAL )
   0 ( hTemplateFile )
   CreateFileA hFileEXT !
   ;
 
: EXTwrite    
   hFileEXT @ 
   PAD aligned $100 + 
   EXTpointer @ over -
   PAD cell+ ( lpWrittenBytes )
   0 ( lpOverlapped )
   WriteFile
   IF ELSE ." write error" QUIT THEN
   ;

: EXTclose
   hFileEXT @ CloseHandle DROP
   ;

: CDPget ( -- c ) 
   CDPpointer @ c@ 
   1 CDPpointer +! ;

: EXTput ( c -- )
   EXTpointer @ c!
   1 EXTpointer +! ;

: TEMPget ( -- c ) 
   TEMPpointer @ c@ 
   1 TEMPpointer +! ;

: TEMPput ( c -- )
   TEMPpointer @ c!
   1 TEMPpointer +! ;   

: TEMPalign ( fill utf8 code with a |, for plyph.txt matching )
   $7c TEMPpointer @ c!
   TEMPpointer @ aligned
   TEMPpointer !
   ;
   
: CopyCode ( -- )
   $30 EXTput
   CDPpointer @ 
   EXTpointer @ 5 cmove
   5 CDPpointer +!
   5 EXTpointer +! 
   CDPget $3d - abort" Missing = "
   $30 $30 EXTput EXTput
   $7c EXTput $30 EXTput ;

: CopyName ( -- )
   begin CDPget ( c -- )
      dup $80 and ( check utf8 code )
   while
      EXTput
   repeat
   $29 - abort" Missing ) " 
   CDPget $0d - abort" Missing CR "
   CDPget $0a - abort" Missing LF "
   $3d EXTput ( add = separator )   
   ;   
   
: BuildRecord ( -- )
   PAD aligned $100 + 
   dup $100 0 fill
   dup EXTpointer !
   $100 + TEMPpointer !
   -1 CDPoption !
   CopyCode
   begin CDPget ( c -- )
      dup $2D = if drop TEMPalign CDPget CDPoption ! CDPget then
      dup $28 = if drop CopyName exit then
      dup $29 = abort" Unpaired ) " 
      dup $0d = if drop 1 CDPpointer +! exit then
      dup $0a = if drop exit then
      dup $c0 < if else TEMPalign then
      TEMPput
   again
   ;   

create frames
   $31303130 , $46464646 , ( 0101FFFF )
   $31303038 , $46464646 , ( 8001FFFF )
   $31303130 , $37464646 , ( 01017FFF )
   $30383130 , $46464646 , ( 0180FFFF )
   $31303130 , $46463746 , ( 0101FF7F )
   $30323032 , $45304530 , ( 2020E0E0 )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
   $31303130 , $46464646 , ( 0101FFFF )
      
: CopyComponents
   PAD aligned $200 + ( 1st-component -- )   
   TEMPpointer @ over - 3 + 4 / ( 1st # -- )
   dup CDPcomponents !
   for aft ( temp -- )
      dup @ EXTpointer @ !
      CDPoption @ $30 - 0 max r@ + 8 * frames +
      dup @ EXTpointer @ 3 + !
      cell+ @ EXTpointer @ 7 + !
      $0b EXTpointer +!
      cell+
   then next drop
   $0d EXTput $0a EXTput
   ;

: SearchGlyphData ( -- addr, 0 if not found )
   PAD aligned $10A + @
   $FFFFFF and $7c000000 or 
   GD @ ( pattern addr -- )
   GDfilelength @ 4 -
   for over over @  
      =
      if r> drop swap drop exit then
      1+
   next 2drop
   0 ;

: SearchTest ( utf8 -- )
   PAD aligned $10A + !
   SearchGlyphData .
   ;
   
: CopyComponents1 ( gd-addr -- )
   cell+
   begin 
      count
      dup $20 < if $0d EXTput $0a EXTput 2drop exit then
      EXTput  
   again
   drop ;

: CompareComponents ( gd-addr -- f )
   PAD aligned $200 +
   CDPcomponents @ 
   for aft 
      over @ over @ 
      xor $FFFFFF and
      if r> drop 2drop 0 exit then
      cell+ swap $0c + swap
   then next
   2drop -1
   ;
      
: CopyComponents2 ( gd-addr -- )
   cell+
   dup c@ $2f $40 rot within if dup 1+ CompareComponents 
      if CDPcomponents @ 
         for aft 
            1+ $0a for count EXTput next
         then next 
         drop $0d EXTput $0a EXTput exit
      else 
         drop CopyComponents exit
      then
   then
   begin 
      count 
      dup $20 < if $0d EXTput $0a EXTput 2drop exit then
      dup $61 = if drop $30 EXTput $30 EXTput 3 for count EXTput next then
      dup $62 = if drop $30 EXTput $31 EXTput 3 for count EXTput next then
      dup $63 = if drop $30 EXTput $32 EXTput 3 for count EXTput next then
   again
   drop ;
   
VARIABLE records

: CDPtoEXT
   0 records !
   GDopen
   CDPopen
   EXTopen
   CDP @ dup CDPpointer !
   CDPfilelength @ + >r
   begin
      CDPpointer @ r@ 
      <
   while   
      BuildRecord 
\      CopyComponents
      SearchGlyphData 
      ?dup if CopyComponents2 
      else CopyComponents then 
      EXTwrite
      records ?
      1 records +!
   repeat
   r> drop
   EXTclose
   GDclose
   CDPclose
   ;
      

( Construct extgp from cdp_unicode27 and glyph, 07may02cht)
( cdp data: |code|=|components|-n|[name]|crlf| )
( glyph data: |Big5=|code||stroke data or compound data|crlf)
( extgp data: |code|name|=|stroke data or compound data|crlf|}

      