\ Copyright (c) 2002 by Wuja
\ All rights reserved 
\
\ HFAWIN32.F   22MAY02 created by Wuja.
\
\ HenceForth Advanced Win32 definition.
\
\ Description:
\     This is my first time to port Dr. Ting's eForth system to the Win32 environment.
\   It is also my first time to have so much intresting in the MS Windows programming.
\   Before this, of couse, I have some knowledge about how to program a Widowns program.
\   But I didn't have any idea to connect the two world between the Forth and the Windows.
\   Thank Yap's WeForth for giving me so perfect experience about eForth's first step in 
\   the Windows. Based on it, then I can get enough encouragement to try my first step. 
\
\ Version Hsiroty: 
\ V0.1,    22MAY02WUJA,  o Build DLL data structure manergement definitions
\                        o Build API data structure manergement definitions
\ V0.2,    31MAY02WUJA,  o Add API@EXECUTE for run ime code of API: difinitions
\ V0.3,    02JUN02WUJA,  o Add CALL BACK mechanism difinitions
\

: _zstring ( -<string>- a )             \ compile a zero-terminated string
  BL PARSE FF MIN                       \ get the string
  HERE 2DUP + CP !                      \ update dictionary pointer 
  DUP >R SWAP CMOVE 0 C, R>		\ compile in this zero-terminated string 
  ;  COMPILE-ONLY

: ZSTRING: ( -<string>- )
  CREATE
  [ CHAR " ] LITERAL PARSE FF MIN
  HERE 2DUP + CP !                      \ update dictionary pointer 
  DUP >R SWAP CMOVE 0 C, R>		\ compile in this zero-terminated string 
  ;

\ DLL Data Structure Manergement Definitions

VARIABLE DLL-LINK  0 DLL-LINK !         \ The link head of DLL structures 

: DLL: ( -- )				\ Create a DLL structure
  CREATE                                \ Build Header
  HERE 					\ get DLL structure address
  0 ,					\ Handle value
  0 ,                   		\ Name string adress
  0 ,					\ Flag value
  DLL-LINK DUP @ , !                    \ Link field, update link head.
  ;

: DLLNAME: ( a -<string>- )             \ Set string of a DLL
  CELL+ DUP @ IF			\ check if redefined?
    CR 
    ." Redefine DLL name string address"
  THEN  
  _zstring 				\ compile a zero-terminated string
  SWAP !                                \ Update string address 
  ;
  
: LOCKDLL ( a -- )                      \ Lock a DLL structure to run-time DLL 
  >R R@ 2 CELLS + DUP @ 0 = IF		\ Check flag
    R@ CELL+ @ LoadLibrary ?DUP IF      \ Load DLL
      R> !				\ Set handle value
      1 SWAP !				\ Set flag 1	
    ELSE
      CR ." Load DLL error"             \ Load error
      R> 2DROP                          \ Drop flag and handle address
    THEN
  ELSE
    R> 2DROP
  THEN  
  ;  
    
: UNLOCKDLL ( a -- )                    \ Unlock a DLL structure 
  DUP 2 CELLS + 0 SWAP !		\ clear flag
  0 SWAP !				\ clear handle 
  ;  
  
: LOCKDLLS ( -- )			\ Lock all DLL structure from DLL-LINK
  DLL-LINK @				\ get first DLL structure address
  BEGIN DUP
  WHILE DUP LOCKDLL 3 CELLS + @
  REPEAT DROP 
  ;  
  
: UNLOCKDLLS ( -- )			\ Unlock all DLL structure from DLL-LINK
  DLL-LINK @				\ get first DLL structure address
  BEGIN DUP
  WHILE DUP UNLOCKDLL 3 CELLS + @
  REPEAT DROP
  ;
    
\ API Data Structure Manergement Definitions

VARIABLE API-LINK  0 API-LINK !         \ The link head of API structures 

CODE API@EXECUTE ( a -- )
  pop 	WP
  mov 	WP, [TOP]
  mov   TOP, [SP]
  add   SP, # 4
  jmp 	WP
END-CODE  

: API: ( n1 n2 f -- )			\ Create a API structure
  CREATE                                \ Build Header
  HERE 					\ get API structure address
  0 ,					\ Handle value
  0 ,                   		\ Name string adress
  0 ,					\ Flag value
  SWAP ,                                \ DLL structure address
  API-LINK DUP @ , !                    \ Link field, update link head.
  DOES> 
  [ HERE DUP 1 - CELL- ORG      	\ save run time code address
    LABEL doAPI  END-CODE ORG  ]		
    API@EXECUTE
  ;

: APINAME: ( a -<string>- )             \ Set string of a API
  CELL+ DUP @ IF			\ check if redefined?
    CR 
    ." Redefine API name string address"
  THEN  
  _zstring 				\ compile a zero-terminated string
  SWAP !                                \ Update string address 
  ;
  
: LOCKAPI ( a -- )                      \ Lock a API structure to run-time API 
  >R R@ 2 CELLS + DUP @ 0 = IF		\ Check flag
    R@ 3 CELLS + @ @ R@ CELL+ @         \ DLL handle and string address
    GetProcAddress ?DUP IF   
      R> !				\ Set handle value
      1 SWAP !				\ Set flag 1	
    ELSE
      CR ." Get API address error"      \ error
      R> 2DROP                          \ Drop flag and handle address
    THEN
  ELSE
    R> 2DROP
  THEN  
  ;  
    
: UNLOCKAPI ( a -- )                    \ Unlock a API structure 
  DUP 2 CELLS + 0 SWAP !		\ clear flag
  0 SWAP !				\ clear handle 
  ;  
  
: LOCKAPIS ( -- )			\ Lock all API structure from API-LINK
  API-LINK @				\ get first API structure address
  BEGIN DUP
  WHILE DUP LOCKAPI 4 CELLS + @
  REPEAT DROP 
  ;  
  
: UNLOCKAPIS ( -- )			\ Unlock all API structure from API-LINK
  API-LINK @				\ get first API structure address
  BEGIN DUP
  WHILE DUP UNLOCKAPI 4 CELLS + @
  REPEAT DROP
  ;
  
\ CALL BACK mechanism definitions

CODE CB: ( -- )					\ Enter to CALL BACK architecture
  pop 	WP					\ save return address to WP
  push	SP					\ save SP (ebp in windows)
  mov   SP, RP					\ get RP
  sub	SP, # 400				\ get 1K bytes data stack space 
  jmp	WP					\ exit from CB:
END-CODE                                                                       

CODE CB; ( n -- )				\ Leave from CALL BACK architecture
  pop	YP					\ drop CB; return address
  pop	SP					\ restore SP
  pop	YP					\ get CALL BACK return address
  push	TOP					\ get return vaule
  pop   WP					\ return value
  lea	RP, 4 CELLS [RP]			\ drop 4 parameters of CALL BACK
  jmp	YP   
END-CODE  

CODE hwnd@ ( -- n )
  sub 	SP, # 4 		          
  mov	[SP], TOP
  mov   WP, # 3 CELLS
  mov	TOP, [WP] [RP]
  ret
END-CODE
  
CODE message@ ( -- n )
  sub 	SP, # 4 		          
  mov	[SP], TOP
  mov   WP, # 4 CELLS
  mov	TOP, [WP] [RP]
  ret
END-CODE

CODE wParam@ ( -- n )
  sub 	SP, # 4 		          
  mov	[SP], TOP
  mov   WP, # 5 CELLS
  mov	TOP, [WP] [RP]
  ret
END-CODE

CODE lParam@ ( -- n )
  sub 	SP, # 4 		          
  mov	[SP], TOP
  mov   WP, # 6 CELLS
  mov	TOP, [WP] [RP]
  ret
END-CODE


        
    
  
    
    
  