anew <<meta.f>>

only
vocabulary meta  vocabulary target

meta definitions

: in-meta   only new also target also meta definitions ;
: in-target only new also meta also target definitions ;

in-meta

  100000 
  constant uSize				\ size   of the user area
  
  0 uSize 1000 ( MEM_COMMIT ) 4 ( PAGE_READWRITE ) VirtualAlloc
  constant uOrigin				\ origin of the user area
  
  uOrigin uOrigin !				\ cell-0 contents uOrigin itself
  uSize   uOrigin cell+ !			\ cell-1 contents uSize
: up     [ uOrigin 2 cells + ] literal ; 	\ cell-2 is the variable up
: uLimit [ uOrigin uSize   + ] literal ;
  
  uSize uOrigin +
  constant uLimit	\ limit of the user area
  
  uOrigin 
  
  100000 constant tSize
  0 tSize 1000 ( MEM_COMMIT ) 4 ( PAGE_READWRITE ) VirtualAlloc
  
  constant tOrigin \ origin of the target code area
  tSize tOrigin + 
  
  constant tLimit
  
  ' tOrigin alias tp  tOrigin cell+ tp !
  
  
  t0 cell+ ti !
  
  variable OldCp

code >Target ( -- )
    mov    eax , cp
    mov    OldCp , eax
    mov    eax , tp
    mov    cp , eax
    ret
    end-code

code Target> ( -- )
    mov    eax , cp
    mov    tp , eax
    mov    eax , OldCp
    mov    cp , eax
    ret
    end-code

: uallot ( n -- ) dup ui @ + u# >
  if cr ." user area of size " u# . ."  remain " u# ui @ - . 
     cr ." not enough for " dup . abort"  uallot "
  then ui +! ;

: Variable ( <name> -- ) \ 20may02sam
  create  ui @  dup ,  cell uallot  u0 + off 
  ;code ( -- a ) \ return the address of user area (offset ui)
    lea    ebp , -4 [ebp]
    mov    [ebp] , ebx
    pop    esi
    mov    esi , [esi]
    lea    ebx , u0 [esi]
    ret
    end-code
    CellsDoneList appendLast

: Array ( n <name> -- )
  create  ui @  dup ,  over uallot  u0 + swap erase
  ;code ( -- a ) \ return the address of user area (offset ui)
    lea    ebp , -4 [ebp]
    mov    [ebp] , ebx
    pop    ebx
    mov    ebx , [ebx]
    lea    ebx , u0 [ebx]
    ret
    end-code
    CellsDoneList appendLast

: Value ( v <name> -- ) \ 20may02sam
  create  ui @  dup ,  cell uallot  u0 + !
  ;code ( -- v' ) \ return the value saved at user area offset ui
    lea    ebp , -4 [ebp]
    mov    [ebp] , ebx
    pop    ebx
    mov    ebx , [ebx]
    mov    ebx , u0 [ebx]
    ret
    end-code
    CellsDoneList appendLast

: Defer ( ui <name> -- ) 
  create  ui @  dup ,  cell uallot  u0 + ['] nop swap!
  ;code ( -- ) \ execute the ca saved at user area offset ui
    pop    eax
    mov    eax , [eax]
    mov    eax , u0 [eax]
    jmp    eax
    ret
    end-code
    CellsDoneList appendLast

: Vocabulary ( <name> -- )
  create  ui @  dup ,  cell uallot  u0 + off  lastVoc @ here lastVoc ! ,
  ;code ( -- )
    pop    esi 
    mov    esi , [esi]
    lea    esi , u0 [esi]
    mov    context , esi
    ret
    end-code
    CellsDoneList appendLast

also decompiler \ for using the words 0>s .s" h.>s emit>s sspaces s-buf ...
: _gpf ( a -- ) 0 ( a 0 ) swap rp@ 2@ ( 0 a from1 from2 ) 
  0>s .s" q{} " h.>s ( 0 a from1 ) ascii , emit>s h.>s ( 0 a ) 
  .s"  s//} " h.>s 3 sspaces ( 0 ) dup emit>s s-buf 1+ ( 0 zText )
   z" s//椧}WXtd" ( 0 zText zTitle ) 
  $1010 ( 0 zText zTitle options ) 
  MessageBoxA abort ;
previous

in-target

: Entry ( <name> -- ) \ define a name as the entry da of the following data
  create
  ;code ( -- da ) \ return the data address da for predefined constant structure
    lea    ebp , -4 [ebp]
    mov    [ebp] , ebx
    pop    ebx
    ret
    end-code
    CellsDoneList appendLast

: Constant ( v <name> -- ) \ define constant v as the name
  create ,
  ;code ( -- n ) \ return the predefined constant value
    lea    ebp , -4 [ebp]
    mov    [ebp] , ebx
    pop    ebx
    mov    ebx , [ebx]
    ret
    end-code
    CellsDoneList appendLast

: Alias ( ca <name> -- ) \ define alias to execute the code address ca
  token $,n $E9 c, dup here cell+ - , >name ?dup
  if c@ dup $80 and
     if immediate
     then $40 and
     if compile-only
     then
  then ;

  sssss constant u#  \ <=== size  of user area
  bbbbb constant u0  \ <=== begin of user area
  '  u0 alias    ui  \ <=== entry of user area
   cell ui +!        \ the first cell of user area is for ui

defer gpf
' _gpf is gpf \ this should be redefined in target later

vocabulary target
target definitions \ <==========================================================

' up 	defer up	is up
' user 	defer user	is user
' gpf 	defer gpf	is gpf

code BYE ( -- )
    call    40142B 		\ \ terminate the system
    ret     near 
    end-code

code ?RX ( -- c )		\ \ terminal input
    jmp     401794 
    end-code

code TX! ( c -- )		\ \ terminal output
    jmp     40176B 
    end-code

code !IO			\ \ set i/o vecters
    ret     near 
    end-code

code TLS ( -- n ) \ return Thread local storage slot
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , 4081BE 
    ret     near 
    end-code

code CallWin ( ... n addr -- ret )  \ call windows api by address
    mov     eax , ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    mov     ecx , ebx 
    jmp     401C1A 
    end-code

code doWinApi ( ... -- ret ) run time code for WINAPI:
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     eax , esi 
    pop     esi 
    push    esi 
    mov     eax , [esi] 
    mov     ecx , 4 [esi] 
@@1: 
    or      ecx , ecx 
    je      @@2 
    mov     edx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    push    edx 
    dec     ecx 
    jmp     @@1 
@@2: 
    or      eax , eax 
    je      @@3 
    call    eax 
    mov     ebx , eax 
    pop     esi 
    ret
@@3: 
    end-code

code doCALLBACK ( -- ) Runtime routine for windows call back function
\   warning : ebp is modified by windows
\             call back function cannot access forth datastack
    mov     eax , esi 
    pop     esi 
    push    eax 
    push    ebp 
    push    4081BE 
    call    40524E 
    add     eax , # 1000 
    add     eax , # 4010A0 
    sub     eax , # 4010A0 
    cmp     eax , # 1000 
    je      @@1 
    sub     eax , # C00 
    mov     ebp , eax 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    jmp     @@2 
@@1: 
    sub     ebp , # 100 
@@2: 
    mov     eax , [esi] 
    mov     ecx , 4 [esi] 
    push    ecx 
    mov     esi , esp 
    add     esi , # C 
@@3: 
    or      ecx , ecx 
    je      @@4 
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    lea     esi , 4 [esi] 
    mov     ebx , [esi] 
    dec     ecx 
    jmp     @@3 
@@4: 
    call    eax 
    mov     eax , ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    pop     ecx 
    pop     ebp 
    pop     esi 
    pop     edx 
    shl     ecx , 2
    add     esp , ecx 
    push    edx 
    ret
    end-code

code GetProcAddress ( hmodule funcname -- pfunc )
    push    ebx 
    push    0 [ebp] 
    call    405212 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    mov     ebx , eax 
    ret
    end-code

code LoadLibrary ( zstring -- hDLL ) \ <============== !!!!!!!! =================
    push    ebx 
    call    40522A 
    mov     ebx , eax 
    ret
    end-code

code EXECUTE ( ca -- )
    push    ebx 		\ \ 
    call    405218 		\ \ check if given address is valid to execute
    or      eax , eax 		\ \
    jne     gpf 		\ \
    mov     eax , ebx
    mov     ebx , 0 [ebp]
    lea     ebp , 4 [ebp]
    jmp     eax
    end-code

code !
    call    401825 		\ \
    or      eax , eax 		\ \ check if given address is valid to read
    jne     gpf			\ \
    mov     eax , 0 [ebp] 
    mov     [ebx] , eax 
    mov     ebx , 4 [ebp] 
    add     ebp , # 8 
    ret
    end-code

code C!
    call    401825 		\ \                                
    or      eax , eax           \ \ check if given address is valid to read
    jne     gpf      		\ \                                
    mov     eax , 0 [ebp] 
    mov     [ebx] , al 
    mov     ebx , 4 [ebp] 
    add     ebp , # 8 
    ret     near 
    end-code

code @
    call    4017FD 		\ \                                
    or      eax , eax 		\ \ check if given address is valid to write
    jne     gpf			\ \                                
    mov     ebx , [ebx] 
    ret
    end-code

code C@
    call    4017FD 		\ \                                
    or      eax , eax           \ \ check if given address is valid to write
    jne     gpf			\ \                                
    xor     eax , eax           
    mov     al , [ebx]          
    mov     ebx , eax           
    ret     near                
    end-code                        
                                
code NOP ( -- )
    ret     near 
    end-code
    
code EXIT ( -- )
    pop     eax 
    ret     near 
    end-code

code BSWAP ( $11223344 -- $44332211 )
    bswap   ebx 
    ret     near 
    end-code

code doLit ( -- n ) COMPILE-ONLY 
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    pop     esi 
    lodsd
    mov     ebx , eax
    push    esi 
    ret     near 
    end-code

code doNext ( -- ) COMPILE-ONLY 
    pop     edi 
    lea     eax , 4 [edi] 
    pop     ecx
    sub     ecx , # 1
    jb      short @@1 
    push    ecx
    add     eax , [edi]		\ offset addressing
@@1: 
    jmp     eax
    end-code

code ?branch ( flag -- ) COMPILE-ONLY
    or      ebx , ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    pop     edi 
    lea     eax , 4 [edi] 
    jne     short @@1 
    add     eax , [edi]		\ offset addressing
@@1: 
    jmp     eax
    end-code

code branch ( -- ) COMPILE-ONLY 
    pop     edi 
    lea     eax , 4 [edi] 
    add     eax , [edi]		\ offset addressing
    jmp     eax
    end-code

code RP@ ( -- a )
    pop     eax                 
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , esp 
    jmp     eax
    end-code

code RP! ( a -- ) COMPILE-ONLY 
    pop     eax 
    mov     esp , ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    jmp     eax
    end-code

code R@ ( -- n )
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , 4 [esp] 
    ret     near 
    end-code

code R> ( -- n ) COMPILE-ONLY 
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    pop     eax 
    pop     ebx 
    jmp     eax
    end-code

code >R ( n -- ) COMPILE-ONLY 
    pop     eax 
    push    ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    jmp     eax
    end-code

code SP@ ( -- a )
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , ebp 
    ret     near 
    end-code

code SP! ( a -- )
    mov     ebp , ebx 
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    ret     near 
    end-code

code DROP ( n -- )
    mov     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    ret     near 
    end-code

code DUP ( n -- n n )
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    ret     near 
    end-code

code SWAP ( n1 n0 -- n0 n1 )
    mov     eax , 0 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , eax 
    ret     near 
    end-code

code OVER ( n1 n0 -- n1 n0 n1 )
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    mov     ebx , 4 [ebp] 
    ret     near 
    end-code

code 0< ( n -- flag )
    mov     eax , ebx 
    cdq 
    mov     ebx , edx 
    ret     near 
    end-code

code AND ( n1 n0 -- n1_and_n0 )
    and     ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    ret     near 
    end-code

code OR ( n1 n0 -- n1_or_n0 )
    or      ebx , 0 [ebp] 
    lea     ebp , 4 [ebp] 
    ret     near 
    end-code

code XOR ( n1 n0 -- n1_xor_x2)
    xor     ebx , 0 [ebp] 
    add     ebp , # 4 
    ret     near 
    end-code

code UM+ ( n1 n0 -- dL dH )
    xor     eax , eax 
    add     ebx , 0 [ebp] 
    rcl     eax , 1 
    mov     0 [ebp] , ebx 
    mov     ebx , eax 
    ret     near 
    end-code

code doVAR ( -- a ) COMPILE-ONLY 
    lea     ebp , -4 [ebp] 
    mov     0 [ebp] , ebx 
    pop     ebx 
    ret     near 
    end-code




\ link to doVAR
code UP

    jmp     4017E4 

end-code




\ link to UP

code doUSER COMPILE-ONLY 

    call    ( 401AE0 ) | FORTH ' R> 
    call    ( 401A54 ) | FORTH ' @ 
    call    4017E4 
    jmp     ( 4020AA ) | FORTH ' + 

end-code




\ link to doUSER
code SP0

    call    ( 401D30 ) | FORTH ' doUSER 
    0 | FORTH lit, 

end-code




\ link to SP0
code RP0

    call    ( 401D30 ) | FORTH ' doUSER 
    4 | FORTH lit, 

end-code




\ link to RP0

code '?KEY

    call    ( 401D30 ) | FORTH ' doUSER 
    8 | FORTH lit, 

end-code




\ link to '?KEY

code 'EMIT

    call    ( 401D30 ) | FORTH ' doUSER 
    C | FORTH lit, 

end-code




\ link to 'EMIT

code 'EXPECT

    call    ( 401D30 ) | FORTH ' doUSER 
    10 | FORTH lit, 

end-code




\ link to 'EXPECT

code 'TAP

    call    ( 401D30 ) | FORTH ' doUSER 
    14 | FORTH lit, 

end-code




\ link to 'TAP

code 'ECHO

    call    ( 401D30 ) | FORTH ' doUSER 
    18 | FORTH lit, 

end-code




\ link to 'ECHO

code 'PROMPT

    call    ( 401D30 ) | FORTH ' doUSER 
    1C | FORTH lit, 

end-code




\ link to 'PROMPT

code BASE

    call    ( 401D30 ) | FORTH ' doUSER 
    20 | FORTH lit, 

end-code




\ link to BASE
code tmp COMPILE-ONLY 

    call    ( 401D30 ) | FORTH ' doUSER 
    24 | FORTH lit, 

end-code




\ link to tmp

code SPAN

    call    ( 401D30 ) | FORTH ' doUSER 
    28 | FORTH lit, 

end-code




\ link to SPAN
code >IN

    call    ( 401D30 ) | FORTH ' doUSER 
    2C | FORTH lit, 

end-code




\ link to >IN

code #TIB

    call    ( 401D30 ) | FORTH ' doUSER 
    30 | FORTH lit, 

end-code




\ link to #TIB
code CSP

    call    ( 401D30 ) | FORTH ' doUSER 
    38 | FORTH lit, 

end-code




\ link to CSP

code 'EVAL

    call    ( 401D30 ) | FORTH ' doUSER 
    3C | FORTH lit, 

end-code




\ link to 'EVAL

code 'NUMBER

    call    ( 401D30 ) | FORTH ' doUSER 
    40 | FORTH lit, 

end-code




\ link to 'NUMBER
code HLD

    call    ( 401D30 ) | FORTH ' doUSER 
    44 | FORTH lit, 

end-code




\ link to HLD

code HANDLER

    call    ( 401D30 ) | FORTH ' doUSER 
    48 | FORTH lit, 

end-code




\ link to HANDLER

code CONTEXT

    call    ( 401D30 ) | FORTH ' doUSER 
    4C | FORTH lit, 

end-code




\ link to CONTEXT

code CURRENT

    call    ( 401D30 ) | FORTH ' doUSER 
    70 | FORTH lit, 

end-code




\ link to CURRENT
code CP

    call    ( 401D30 ) | FORTH ' doUSER 
    78 | FORTH lit, 

end-code




\ link to CP
code NP

    call    ( 401D30 ) | FORTH ' doUSER 
    7C | FORTH lit, 

end-code




\ link to NP

code LAST

    call    ( 401D30 ) | FORTH ' doUSER 
    80 | FORTH lit, 

end-code




\ link to LAST

code ROOT

    call    ( 401D30 ) | FORTH ' doUSER 
    84 | FORTH lit, 

end-code




\ link to ROOT
code CAP

    call    ( 401D30 ) | FORTH ' doUSER 
    8C | FORTH lit, 

end-code




\ link to CAP

code HINST

    call    ( 401D30 ) | FORTH ' doUSER 
    90 | FORTH lit, 

end-code




\ link to HINST

code DELTALEN

    call    ( 401D30 ) | FORTH ' doUSER 
    94 | FORTH lit, 

end-code




\ link to DELTALEN

code DEF'EMIT

    call    ( 401D30 ) | FORTH ' doUSER 
    98 | FORTH lit, 

end-code




\ link to DEF'EMIT

code DEF'?KEY

    call    ( 401D30 ) | FORTH ' doUSER 
    9C | FORTH lit, 

end-code




\ link to DEF'?KEY

code 'KEY

    call    ( 401D30 ) | FORTH ' doUSER 
    A0 | FORTH lit, 

end-code




\ link to 'KEY

code BOOTMSG

    call    ( 401D30 ) | FORTH ' doUSER 
    A4 | FORTH lit, 

end-code




\ link to BOOTMSG


code BOOTMSGLEN

    call    ( 401D30 ) | FORTH ' doUSER 
    A8 | FORTH lit, 

end-code




\ link to BOOTMSGLEN
code EOD

    call    ( 401D30 ) | FORTH ' doUSER 
    AC | FORTH lit, 

end-code




\ link to EOD

code (ebp)

    call    ( 401D30 ) | FORTH ' doUSER 
    B0 | FORTH lit, 

end-code




\ link to (ebp)


code CLIPBOARD>IN

    call    ( 401D30 ) | FORTH ' doUSER 
    B4 | FORTH lit, 

end-code




\ link to CLIPBOARD>IN

code BOOTFILE

    call    ( 401D30 ) | FORTH ' doUSER 
    B8 | FORTH lit, 

end-code




\ link to BOOTFILE

code DEFTIB

    call    ( 401D30 ) | FORTH ' doUSER 
    138 | FORTH lit, 

end-code


\ 97
\ In vocabulary FORTH
( 004029A7 97 29 40 00    ) \ link to ?KEY
( 004029AB 05 42 4C 4F 41 )
( 004029B0 44 00          ) code BLOAD

( 004029B2 FF 35 BE 81 40 )
( 004029B7 00             )     push    4081BE 
( 004029B8 E8 91 28 00 00 )     call    40524E 
( 004029BD 05 00 10 00 00 )     add     eax , # 1000 
( 004029C2 8B F0          )     mov     esi , eax 
( 004029C4 FF 05 21 80 40 )
( 004029C9 00             )     inc     408021 
( 004029CA FF 35 BE 81 40 )
( 004029CF 00             )     push    4081BE 
( 004029D0 E8 79 28 00 00 )     call    40524E 
( 004029D5 05 00 10 00 00 )     add     eax , # 1000 
( 004029DA 05 D0 10 40 00 )     add     eax , # 4010D0 
( 004029DF 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 004029E4 FF 30          )     push    [eax] 
( 004029E6 FF 35 BE 81 40 )
( 004029EB 00             )     push    4081BE 
( 004029EC E8 5D 28 00 00 )     call    40524E 
( 004029F1 05 00 10 00 00 )     add     eax , # 1000 
( 004029F6 05 D4 10 40 00 )     add     eax , # 4010D4 
( 004029FB 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402A00 FF 30          )     push    [eax] 
( 00402A02 FF 35 BE 81 40 )
( 00402A07 00             )     push    4081BE 
( 00402A08 E8 41 28 00 00 )     call    40524E 
( 00402A0D 05 00 10 00 00 )     add     eax , # 1000 
( 00402A12 05 CC 10 40 00 )     add     eax , # 4010CC 
( 00402A17 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402A1C FF 30          )     push    [eax] 
( 00402A1E FF 35 BE 81 40 )
( 00402A23 00             )     push    4081BE 
( 00402A24 E8 25 28 00 00 )     call    40524E 
( 00402A29 05 00 10 00 00 )     add     eax , # 1000 
( 00402A2E 05 D0 10 40 00 )     add     eax , # 4010D0 
( 00402A33 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402A38 89 18          )     mov     [eax] , ebx 
( 00402A3A 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402A3D 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402A40 FF 35 BE 81 40 )
( 00402A45 00             )     push    4081BE 
( 00402A46 E8 03 28 00 00 )     call    40524E 
( 00402A4B 05 00 10 00 00 )     add     eax , # 1000 
( 00402A50 05 D4 10 40 00 )     add     eax , # 4010D4 
( 00402A55 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402A5A 89 18          )     mov     [eax] , ebx 
( 00402A5C 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402A5F 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402A62 33 F6          )     xor     esi , esi 
( 00402A64 FF 35 BE 81 40 )
( 00402A69 00             )     push    4081BE 
( 00402A6A E8 DF 27 00 00 )     call    40524E 
( 00402A6F 05 00 10 00 00 )     add     eax , # 1000 
( 00402A74 05 CC 10 40 00 )     add     eax , # 4010CC 
( 00402A79 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402A7E 89 30          )     mov     [eax] , esi 
( 00402A80 E8 10 EF FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402A85 D3 37 40 00    )             ( 4037D3 ) | FORTH ' EVAL | FORTH lit, 
( 00402A89 E8 6D 0B 00 00 )     call    ( 4035FB ) | FORTH ' CATCH 
( 00402A8E FF 0D 21 80 40 )
( 00402A93 00             )     dec     408021 
( 00402A94 0B DB          )     or      ebx , ebx 
( 00402A96 75 43          )     jne     ( 402ADB ) @@1 
( 00402A98 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402A9B 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402A9E FF 35 BE 81 40 )
( 00402AA3 00             )     push    4081BE 
( 00402AA4 E8 A5 27 00 00 )     call    40524E 
( 00402AA9 05 00 10 00 00 )     add     eax , # 1000 
( 00402AAE 05 CC 10 40 00 )     add     eax , # 4010CC 
( 00402AB3 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402AB8 8F 00          )     pop     [eax] 
( 00402ABA FF 35 BE 81 40 )
( 00402ABF 00             )     push    4081BE 
( 00402AC0 E8 89 27 00 00 )     call    40524E 
( 00402AC5 05 00 10 00 00 )     add     eax , # 1000 
( 00402ACA 05 D0 10 40 00 )     add     eax , # 4010D0 
( 00402ACF 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402AD4 8F 40 04       )     pop     4 [eax] 
( 00402AD7 59             )     pop     ecx 
( 00402AD8 89 08          )     mov     [eax] , ecx 
( 00402ADA C3             )     ret     near 
( 00402ADB                ) @@1: 
( 00402ADB E8 CE 02 00 00 )     call    ( 402DAE ) | FORTH ' SPACE 
( 00402AE0 E8 A0 F9 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00402AE5 E8 01 03 00 00 )     call    ( 402DEB ) | FORTH ' TYPE 
( 00402AEA E8 B6 03 00 00 )     call    ( 402EA5 ) | FORTH ' ."| 
( 00402AEF 10 20 3F 20 20 )
( 00402AF4 45 72 72 6F 72 )
( 00402AF9 2C 20 4C 69 6E )
( 00402AFE 65 3A 00       )     | FORTH str,"  ?  Error, Line:" 
( 00402B01 8D 6D FC       )     lea     ebp , -4 [ebp] 
( 00402B04 89 5D 00       )     mov     0 [ebp] , ebx 
( 00402B07 33 DB          )     xor     ebx , ebx 
( 00402B09 43             )     inc     ebx 
( 00402B0A FF 35 BE 81 40 )
( 00402B0F 00             )     push    4081BE 
( 00402B10 E8 39 27 00 00 )     call    40524E 
( 00402B15 05 00 10 00 00 )     add     eax , # 1000 
( 00402B1A 05 D4 10 40 00 )     add     eax , # 4010D4 
( 00402B1F 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402B24 8B 38          )     mov     edi , [eax] 
( 00402B26 FF 35 BE 81 40 )
( 00402B2B 00             )     push    4081BE 
( 00402B2C E8 1D 27 00 00 )     call    40524E 
( 00402B31 05 00 10 00 00 )     add     eax , # 1000 
( 00402B36 05 CC 10 40 00 )     add     eax , # 4010CC 
( 00402B3B 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402B40 8B 08          )     mov     ecx , [eax] 
( 00402B42 B8 0A 00 00 00 )     mov     eax , # A 
( 00402B47                ) @@2: 
( 00402B47 F2             )     repnz
( 00402B48 AE             )     scasb
( 00402B49 67             )     a16:
( 00402B4A E3 03          )     jecxz   ( 402B4F ) @@3 
( 00402B4C 43             )     inc     ebx 
( 00402B4D EB F8          )     jmp     ( 402B47 ) @@2 
( 00402B4F                ) @@3: 
( 00402B4F E8 99 F2 FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 00402B54 E8 FB EE FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00402B59 E8 A7 EF FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402B5E E8 30 FC FF FF )     call    ( 402793 ) | FORTH ' DECIMAL 
( 00402B63 E8 E8 03 00 00 )     call    ( 402F50 ) | FORTH ' . 
( 00402B68 E8 73 EF FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402B6D E8 7B F2 FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 00402B72 E8 BD EE FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00402B77 E8 A0 02 00 00 )     call    ( 402E1C ) | FORTH ' CR 
( 00402B7C E8 D3 0B 00 00 )     call    ( 403754 ) | FORTH ' [ 
( 00402B81 58             )     pop     eax 
( 00402B82 58             )     pop     eax 
( 00402B83 58             )     pop     eax 
( 00402B84 33 F6          )     xor     esi , esi 
( 00402B86 FF 35 BE 81 40 )
( 00402B8B 00             )     push    4081BE 
( 00402B8C E8 BD 26 00 00 )     call    40524E 
( 00402B91 05 00 10 00 00 )     add     eax , # 1000 
( 00402B96 05 D0 10 40 00 )     add     eax , # 4010D0 
( 00402B9B 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402BA0 89 30          )     mov     [eax] , esi 
( 00402BA2 FF 35 BE 81 40 )
( 00402BA7 00             )     push    4081BE 
( 00402BA8 E8 A1 26 00 00 )     call    40524E 
( 00402BAD 05 00 10 00 00 )     add     eax , # 1000 
( 00402BB2 05 CC 10 40 00 )     add     eax , # 4010CC 
( 00402BB7 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402BBC 89 30          )     mov     [eax] , esi 
( 00402BBE FF 35 BE 81 40 )
( 00402BC3 00             )     push    4081BE 
( 00402BC4 E8 85 26 00 00 )     call    40524E 
( 00402BC9 05 00 10 00 00 )     add     eax , # 1000 
( 00402BCE 05 D8 11 40 00 )     add     eax , # 4011D8 
( 00402BD3 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402BD8 8B F0          )     mov     esi , eax 
( 00402BDA FF 35 BE 81 40 )
( 00402BDF 00             )     push    4081BE 
( 00402BE0 E8 69 26 00 00 )     call    40524E 
( 00402BE5 05 00 10 00 00 )     add     eax , # 1000 
( 00402BEA 05 D4 10 40 00 )     add     eax , # 4010D4 
( 00402BEF 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00402BF4 89 30          )     mov     [eax] , esi 
( 00402BF6 C3             )     ret     near 

( 00402BF7                ) end-code


\ 98
\ In vocabulary FORTH
( 00402BF7 AB 29 40 00    ) \ link to BLOAD
( 00402BFB 07 64 6F 46 4C )
( 00402C00 4F 41 44 00    ) code doFLOAD

( 00402C04 E8 96 F8 FF FF )     call    ( 40249F ) | FORTH ' ZCOUNT 
( 00402C09 8D 6D FC       )     lea     ebp , -4 [ebp] 
( 00402C0C 89 5D 00       )     mov     0 [ebp] , ebx 
( 00402C0F 8B 1D 21 80 40 )
( 00402C14 00             )     mov     ebx , 408021 
( 00402C15 E8 A7 01 00 00 )     call    ( 402DC1 ) | FORTH ' SPACES 
( 00402C1A E8 86 02 00 00 )     call    ( 402EA5 ) | FORTH ' ."| 
( 00402C1F 08 4C 6F 61 64 )
( 00402C24 69 6E 67 20 00 )     | FORTH str," Loading " 
( 00402C29 E8 68 F4 FF FF )     call    ( 402096 ) | FORTH ' 2DUP 
( 00402C2E E8 B8 01 00 00 )     call    ( 402DEB ) | FORTH ' TYPE 
( 00402C33 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402C36 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402C39 E8 81 EB FF FF )     call    4017BF 
( 00402C3E 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402C41 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402C44 83 F8 00       )     cmp     eax , # 0 
( 00402C47 0F 8E 90 00 00 )
( 00402C4C 00             )     jle     ( 402CDD ) @@1 
( 00402C4D A3 29 80 40 00 )     mov     408029 , eax
( 00402C52 6A 00          )     push    , # 0 
( 00402C54 FF 35 29 80 40 )
( 00402C59 00             )     push    408029 
( 00402C5A E8 A1 25 00 00 )     call    405200 
( 00402C5F A3 25 80 40 00 )     mov     408025 , eax
( 00402C64 A1 19 80 40 00 )     mov     eax , 408019 
( 00402C69 03 05 25 80 40 )
( 00402C6E 00             )     add     eax , 408025 
( 00402C6F 3B 05 1D 80 40 )
( 00402C74 00             )     cmp     eax , 40801D 
( 00402C75 7F 76          )     jg      ( 402CED ) @@2 
( 00402C77 A3 19 80 40 00 )     mov     408019 , eax
( 00402C7C 03 05 15 80 40 )
( 00402C81 00             )     add     eax , 408015 
( 00402C82 2B 05 25 80 40 )
( 00402C87 00             )     sub     eax , 408025 
( 00402C88 8D 6D FC       )     lea     ebp , -4 [ebp] 
( 00402C8B 89 5D 00       )     mov     0 [ebp] , ebx 
( 00402C8E 8B D8          )     mov     ebx , eax 
( 00402C90 8D 6D FC       )     lea     ebp , -4 [ebp] 
( 00402C93 89 5D 00       )     mov     0 [ebp] , ebx 
( 00402C96 8B 1D 25 80 40 )
( 00402C9B 00             )     mov     ebx , 408025 
( 00402C9C 53             )     push    ebx 
( 00402C9D 6A 00          )     push    , # 0 
( 00402C9F 68 B2 81 40 00 )     push    , # 4081B2 
( 00402CA4 FF 35 25 80 40 )
( 00402CA9 00             )     push    408025 
( 00402CAA 50             )     push    eax 
( 00402CAB FF 35 29 80 40 )
( 00402CB0 00             )     push    408029 
( 00402CB1 E8 7A 25 00 00 )     call    405230 
( 00402CB6 FF 35 29 80 40 )
( 00402CBB 00             )     push    408029 
( 00402CBC E8 14 EB FF FF )     call    4017D5 
( 00402CC1 E8 EC FC FF FF )     call    ( 4029B2 ) | FORTH ' BLOAD 
( 00402CC6 8F 05 25 80 40 )
( 00402CCB 00             )     pop     408025 
( 00402CCC A1 19 80 40 00 )     mov     eax , 408019 
( 00402CD1 2B 05 25 80 40 )
( 00402CD6 00             )     sub     eax , 408025 
( 00402CD7 A3 19 80 40 00 )     mov     408019 , eax
( 00402CDC C3             )     ret     near 
( 00402CDD                ) @@1: 
( 00402CDD E8 C3 01 00 00 )     call    ( 402EA5 ) | FORTH ' ."| 
( 00402CE2 08 20 66 61 69 )
( 00402CE7 6C 65 64 2E 00 )     | FORTH str,"  failed." 
( 00402CEC C3             )     ret     near 
( 00402CED                ) @@2: 
( 00402CED E8 2A 01 00 00 )     call    ( 402E1C ) | FORTH ' CR 
( 00402CF2 E8 AE 01 00 00 )     call    ( 402EA5 ) | FORTH ' ."| 
( 00402CF7 16 66 6C 6F 61 )
( 00402CFC 64 20 62 75 66 )
( 00402D01 66 65 72 20 6F )
( 00402D06 76 65 72 66 6C )
( 00402D0B 6F 77 2E 00    )     | FORTH str," fload buffer overflow." 
( 00402D0F C3             )     ret     near 

( 00402D10                ) end-code


\ 99
\ In vocabulary FORTH
( 00402D10 FB 2B 40 00    ) \ link to doFLOAD
( 00402D14 05 46 4C 4F 41 )
( 00402D19 44 00          ) code FLOAD

( 00402D1B E8 7C F6 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 00402D20 E8 CC 04 00 00 )     call    ( 4031F1 ) | FORTH ' WORD 
( 00402D25 E8 5B F7 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00402D2A E8 0E EE FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00402D2F E8 D0 FE FF FF )     call    ( 402C04 ) | FORTH ' doFLOAD 
( 00402D34 C3             )     ret     near 

( 00402D35                ) end-code


\ 9A
\ In vocabulary FORTH
( 00402D35 14 2D 40 00    ) \ link to FLOAD
( 00402D39 03 4B 45 59 00 ) code KEY

( 00402D3E E8 4A F2 FF FF )     call    ( 401F8D ) | FORTH ' 'KEY 
( 00402D43 E9 C0 F7 FF FF )     jmp     ( 402508 ) | FORTH ' @EXECUTE 

( 00402D48                ) end-code


\ 9B
\ In vocabulary FORTH
( 00402D48 39 2D 40 00    ) \ link to KEY
( 00402D4C 04 45 4D 49 54 )
( 00402D51 00             ) code EMIT

( 00402D52 E9 14 EA FF FF )     jmp     40176B 

( 00402D57                ) end-code


\ 9C
\ In vocabulary FORTH
( 00402D57 4C 2D 40 00    ) \ link to EMIT
( 00402D5B 04 4E 55 46 3F )
( 00402D60 00             ) code NUF?

( 00402D61 E8 37 FC FF FF )     call    ( 40299D ) | FORTH ' ?KEY 
( 00402D66 E8 E2 ED FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00402D6B 0B DB          )     or      ebx , ebx 
( 00402D6D 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402D70 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402D73 74 18          )     je      ( 402D8D ) @@1 
( 00402D75 E8 0B F3 FF FF )     call    ( 402085 ) | FORTH ' 2DROP 
( 00402D7A E8 BF FF FF FF )     call    ( 402D3E ) | FORTH ' KEY 
( 00402D7F E8 11 EC FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402D84 0D 00 00 00    )             D | FORTH lit, 
( 00402D88 E8 99 F3 FF FF )     call    ( 402126 ) | FORTH ' = 
( 00402D8D                ) @@1: 
( 00402D8D C3             )     ret     near 

( 00402D8E                ) end-code


\ 9D
\ In vocabulary FORTH
( 00402D8E 5B 2D 40 00    ) \ link to NUF?
( 00402D92 04 50 41 43 45 )
( 00402D97 00             ) code PACE

( 00402D98 E8 F8 EB FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402D9D 0B 00 00 00    )             B | FORTH lit, 
( 00402DA1 EB AF          )     jmp     ( 402D52 ) | FORTH ' EMIT 

( 00402DA3                ) end-code


\ 9E
\ In vocabulary FORTH
( 00402DA3 92 2D 40 00    ) \ link to PACE
( 00402DA7 05 53 50 41 43 )
( 00402DAC 45 00          ) code SPACE

( 00402DAE E8 E9 F5 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 00402DB3 EB 9D          )     jmp     ( 402D52 ) | FORTH ' EMIT 

( 00402DB5                ) end-code


\ 9F
\ In vocabulary FORTH
( 00402DB5 A7 2D 40 00    ) \ link to SPACE
( 00402DB9 06 53 50 41 43 )
( 00402DBE 45 53 00       ) code SPACES

( 00402DC1 E8 C5 F5 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00402DC6 E8 9A F3 FF FF )     call    ( 402165 ) | FORTH ' MAX 
( 00402DCB E8 35 ED FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402DD0 EB 05          )     jmp     ( 402DD7 ) @@2 
( 00402DD2                ) @@1: 
( 00402DD2 E8 D7 FF FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 00402DD7                ) @@2: 
( 00402DD7 E8 0D EC FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00402DDC F2 FF FF FF    )             ( 402DD2 ) @@1 | FORTH adr, 
( 00402DE0 C3             )     ret     near 

( 00402DE1                ) end-code


\ A0
\ In vocabulary FORTH
( 00402DE1 B9 2D 40 00    ) \ link to SPACES
( 00402DE5 04 54 59 50 45 )
( 00402DEA 00             ) code TYPE

( 00402DEB E8 15 ED FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402DF0 EB 14          )     jmp     ( 402E06 ) @@2 
( 00402DF2                ) @@1: 
( 00402DF2 E8 56 ED FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00402DF7 E8 A0 EC FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 00402DFC E8 51 FF FF FF )     call    ( 402D52 ) | FORTH ' EMIT 
( 00402E01 E8 D5 F4 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00402E06                ) @@2: 
( 00402E06 E8 DE EB FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00402E0B E3 FF FF FF    )             ( 402DF2 ) @@1 | FORTH adr, 
( 00402E0F E9 29 ED FF FF )     jmp     ( 401B3D ) | FORTH ' DROP 

( 00402E14                ) end-code


\ A1
\ In vocabulary FORTH
( 00402E14 E5 2D 40 00    ) \ link to TYPE
( 00402E18 02 43 52 00    ) code CR

( 00402E1C E8 74 EB FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402E21 0D 00 00 00    )             D | FORTH lit, 
( 00402E25 E8 28 FF FF FF )     call    ( 402D52 ) | FORTH ' EMIT 
( 00402E2A E8 66 EB FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402E2F 0A 00 00 00    )             A | FORTH lit, 
( 00402E33 E8 1A FF FF FF )     call    ( 402D52 ) | FORTH ' EMIT 
( 00402E38 C3             )     ret     near 

( 00402E39                ) end-code


\ A2
\ In vocabulary FORTH
( 00402E39 18 2E 40 00    ) \ link to CR
( 00402E3D 43 64 6F 24 00 ) code do$ COMPILE-ONLY 

( 00402E42 E8 99 EC FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402E47 E8 A6 EC FF FF )     call    ( 401AF2 ) | FORTH ' R@ 
( 00402E4C E8 8F EC FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402E51 E8 2F F6 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00402E56 E8 4F F2 FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00402E5B E8 7B F4 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00402E60 E8 A0 EC FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402E65 E8 F4 EC FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00402E6A E8 96 EC FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402E6F C3             )     ret     near 

( 00402E70                ) end-code


\ A3
\ In vocabulary FORTH
( 00402E70 3D 2E 40 00    ) \ link to do$
( 00402E74 43 24 22 7C 00 ) code $"| COMPILE-ONLY 

( 00402E79 E8 62 EC FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402E7E E8 CA EC FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00402E83 E8 FD F5 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00402E88 E8 1D F2 FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00402E8D E8 49 F4 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00402E92 E8 6E EC FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402E97 E9 E9 F5 FF FF )     jmp     ( 402485 ) | FORTH ' COUNT 

( 00402E9C                ) end-code


\ A4
\ In vocabulary FORTH
( 00402E9C 74 2E 40 00    ) \ link to $"|
( 00402EA0 43 2E 22 7C 00 ) code ."| COMPILE-ONLY 

( 00402EA5 E8 98 FF FF FF )     call    ( 402E42 ) | FORTH ' do$ 
( 00402EAA E8 D6 F5 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00402EAF E9 37 FF FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 00402EB4                ) end-code


\ A5
\ In vocabulary FORTH
( 00402EB4 A0 2E 40 00    ) \ link to ."|
( 00402EB8 43 5A 22 7C 00 ) code Z"| COMPILE-ONLY 

( 00402EBD E8 80 FF FF FF )     call    ( 402E42 ) | FORTH ' do$ 
( 00402EC2 E9 14 F4 FF FF )     jmp     ( 4022DB ) | FORTH ' 1+ 

( 00402EC7                ) end-code


\ A6
\ In vocabulary FORTH
( 00402EC7 B8 2E 40 00    ) \ link to Z"|
( 00402ECB 02 2E 52 00    ) code .R

( 00402ECF E8 31 EC FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402ED4 E8 6C F8 FF FF )     call    ( 402745 ) | FORTH ' STR 
( 00402ED9 E8 02 EC FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402EDE E8 8E EC FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00402EE3 E8 1E F2 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00402EE8 E8 D4 FE FF FF )     call    ( 402DC1 ) | FORTH ' SPACES 
( 00402EED E9 F9 FE FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 00402EF2                ) end-code


\ A7
\ In vocabulary FORTH
( 00402EF2 CB 2E 40 00    ) \ link to .R
( 00402EF6 03 55 2E 52 00 ) code U.R

( 00402EFB E8 05 EC FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402F00 E8 58 F7 FF FF )     call    ( 40265D ) | FORTH ' <# 
( 00402F05 E8 C8 F7 FF FF )     call    ( 4026D2 ) | FORTH ' #S 
( 00402F0A E8 0A F8 FF FF )     call    ( 402719 ) | FORTH ' #> 
( 00402F0F E8 CC EB FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00402F14 E8 58 EC FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00402F19 E8 E8 F1 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00402F1E E8 9E FE FF FF )     call    ( 402DC1 ) | FORTH ' SPACES 
( 00402F23 E9 C3 FE FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 00402F28                ) end-code


\ A8
\ In vocabulary FORTH
( 00402F28 F6 2E 40 00    ) \ link to U.R
( 00402F2C 02 55 2E 00    ) code U.

( 00402F30 E8 28 F7 FF FF )     call    ( 40265D ) | FORTH ' <# 
( 00402F35 E8 98 F7 FF FF )     call    ( 4026D2 ) | FORTH ' #S 
( 00402F3A E8 DA F7 FF FF )     call    ( 402719 ) | FORTH ' #> 
( 00402F3F E8 6A FE FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 00402F44 E9 A2 FE FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 00402F49                ) end-code


\ A9
\ In vocabulary FORTH
( 00402F49 2C 2F 40 00    ) \ link to U.
( 00402F4D 01 2E 00       ) code .

( 00402F50 E8 98 EE FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 00402F55 E8 FA EA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00402F5A E8 36 EA FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00402F5F 0A 00 00 00    )             A | FORTH lit, 
( 00402F63 E8 49 EC FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00402F68 0B DB          )     or      ebx , ebx 
( 00402F6A 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402F6D 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402F70 74 06          )     je      ( 402F78 ) @@1 
( 00402F72 E8 B9 FF FF FF )     call    ( 402F30 ) | FORTH ' U. 
( 00402F77 C3             )     ret     near 
( 00402F78                ) @@1: 
( 00402F78 E8 C8 F7 FF FF )     call    ( 402745 ) | FORTH ' STR 
( 00402F7D E8 2C FE FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 00402F82 E9 64 FE FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 00402F87                ) end-code


\ AA
\ In vocabulary FORTH
( 00402F87 4D 2F 40 00    ) \ link to .
( 00402F8B 01 3F 00       ) code ?

( 00402F8E E8 C1 EA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00402F93 EB BB          )     jmp     ( 402F50 ) | FORTH ' . 

( 00402F95                ) end-code


\ AB
\ In vocabulary FORTH
( 00402F95 8B 2F 40 00    ) \ link to ?
( 00402F99 07 64 6F 50 41 )
( 00402F9E 52 53 45 00    ) code doPARSE

( 00402FA2 E8 58 EE FF FF )     call    ( 401DFF ) | FORTH ' tmp 
( 00402FA7 E8 88 EA FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00402FAC E8 C0 EB FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00402FB1 E8 4F EB FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402FB6 E8 92 EB FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00402FBB 0B DB          )     or      ebx , ebx 
( 00402FBD 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402FC0 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402FC3 0F 84 1A 01 00 )
( 00402FC8 00             )     je      ( 4030E3 ) @@8 
( 00402FC9 E8 17 F3 FF FF )     call    ( 4022E5 ) | FORTH ' 1- 
( 00402FCE E8 2C EE FF FF )     call    ( 401DFF ) | FORTH ' tmp 
( 00402FD3 E8 7C EA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00402FD8 E8 BF F3 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 00402FDD E8 44 F1 FF FF )     call    ( 402126 ) | FORTH ' = 
( 00402FE2 0B DB          )     or      ebx , ebx 
( 00402FE4 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00402FE7 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00402FEA 74 55          )     je      ( 403041 ) @@3 
( 00402FEC E8 14 EB FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00402FF1                ) @@1: 
( 00402FF1 E8 A6 F3 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 00402FF6 E8 76 EB FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00402FFB E8 9C EA FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 00403000 E8 01 F1 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403005 E8 79 EB FF FF )     call    ( 401B83 ) | FORTH ' 0< 
( 0040300A E8 C3 F0 FF FF )     call    ( 4020D2 ) | FORTH ' NOT 
( 0040300F 0B DB          )     or      ebx , ebx 
( 00403011 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403014 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403017 74 23          )     je      ( 40303C ) @@2 
( 00403019 E8 BD F2 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 0040301E E8 C6 E9 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00403023 CA FF FF FF    )             ( 402FF1 ) @@1 | FORTH adr, 
( 00403027 E8 B4 EA FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040302C E8 0C EB FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403031 E8 55 F3 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00403036 E8 12 EB FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 0040303B C3             )     ret     near 
( 0040303C                ) @@2: 
( 0040303C E8 9F EA FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403041                ) @@3: 
( 00403041 E8 2B EB FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403046 E8 13 EB FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 0040304B E8 B5 EA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403050                ) @@4: 
( 00403050 E8 AA ED FF FF )     call    ( 401DFF ) | FORTH ' tmp 
( 00403055 E8 FA E9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040305A E8 12 EB FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040305F E8 38 EA FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 00403064 E8 9D F0 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403069 E8 91 ED FF FF )     call    ( 401DFF ) | FORTH ' tmp 
( 0040306E E8 E1 E9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403073 E8 24 F3 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 00403078 E8 A9 F0 FF FF )     call    ( 402126 ) | FORTH ' = 
( 0040307D 0B DB          )     or      ebx , ebx 
( 0040307F 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403082 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403085 74 05          )     je      ( 40308C ) @@5 
( 00403087 E8 F7 EA FF FF )     call    ( 401B83 ) | FORTH ' 0< 
( 0040308C                ) @@5: 
( 0040308C 0B DB          )     or      ebx , ebx 
( 0040308E 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403091 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403094 74 1A          )     je      ( 4030B0 ) @@6 
( 00403096 E8 40 F2 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 0040309B E8 49 E9 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 004030A0 AC FF FF FF    )             ( 403050 ) @@4 | FORTH adr, 
( 004030A4 E8 A4 EA FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004030A9 E8 57 EA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004030AE EB 19          )     jmp     ( 4030C9 ) @@7 
( 004030B0                ) @@6: 
( 004030B0 E8 2B EA FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 004030B5 E8 83 EA FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 004030BA E8 8E EA FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004030BF E8 17 F2 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 004030C4 E8 3C EA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004030C9                ) @@7: 
( 004030C9 E8 A3 EA FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 004030CE E8 33 F0 FF FF )     call    ( 402106 ) | FORTH ' - 
( 004030D3 E8 08 EA FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 004030D8 E8 03 EA FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 004030DD E8 24 F0 FF FF )     call    ( 402106 ) | FORTH ' - 
( 004030E2 C3             )     ret     near 
( 004030E3                ) @@8: 
( 004030E3 E8 89 EA FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 004030E8 E8 F3 E9 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 004030ED E9 14 F0 FF FF )     jmp     ( 402106 ) | FORTH ' - 

( 004030F2                ) end-code


\ AC
\ In vocabulary FORTH
( 004030F2 99 2F 40 00    ) \ link to doPARSE
( 004030F6 05 50 41 52 53 )
( 004030FB 45 00          ) code PARSE

( 004030FD E8 03 EA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403102 E8 E4 F3 FF FF )     call    ( 4024EB ) | FORTH ' TIB 
( 00403107 E8 18 ED FF FF )     call    ( 401E24 ) | FORTH ' >IN 
( 0040310C E8 43 E9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403111 E8 94 EF FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403116 E8 1C ED FF FF )     call    ( 401E37 ) | FORTH ' #TIB 
( 0040311B E8 34 E9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403120 E8 FF EC FF FF )     call    ( 401E24 ) | FORTH ' >IN 
( 00403125 E8 2A E9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040312A E8 D7 EF FF FF )     call    ( 402106 ) | FORTH ' - 
( 0040312F E8 AC E9 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403134 E8 69 FE FF FF )     call    ( 402FA2 ) | FORTH ' doPARSE 
( 00403139 E8 E6 EC FF FF )     call    ( 401E24 ) | FORTH ' >IN 
( 0040313E E9 FD F2 FF FF )     jmp     ( 402440 ) | FORTH ' +! 

( 00403143                ) end-code


\ AD
\ In vocabulary FORTH
( 00403143 F6 30 40 00    ) \ link to PARSE
( 00403147 82 2E 28 00    ) code .( IMMEDIATE 

( 0040314B E8 45 E8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403150 29 00 00 00    )             29 | FORTH lit, 
( 00403154 E8 A4 FF FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 00403159 E9 8D FC FF FF )     jmp     ( 402DEB ) | FORTH ' TYPE 

( 0040315E                ) end-code


\ AE
\ In vocabulary FORTH
( 0040315E 47 31 40 00    ) \ link to .(
( 00403162 81 28 00       ) code ( IMMEDIATE 

( 00403165 E8 2B E8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040316A 29 00 00 00    )             29 | FORTH lit, 
( 0040316E E8 8A FF FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 00403173 E9 0D EF FF FF )     jmp     ( 402085 ) | FORTH ' 2DROP 

( 00403178                ) end-code


\ AF
\ In vocabulary FORTH
( 00403178 62 31 40 00    ) \ link to (
( 0040317C 81 5C 00       ) code \ IMMEDIATE 

( 0040317F E8 11 E8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403184 0D 00 00 00    )             D | FORTH lit, 
( 00403188 E8 64 00 00 00 )     call    ( 4031F1 ) | FORTH ' WORD 
( 0040318D E9 AB E9 FF FF )     jmp     ( 401B3D ) | FORTH ' DROP 

( 00403192                ) end-code


\ B0
\ In vocabulary FORTH
( 00403192 7C 31 40 00    ) \ link to \
( 00403196 84 43 48 41 52 )
( 0040319B 00             ) code CHAR IMMEDIATE 

( 0040319C E8 FB F1 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 004031A1 E8 57 FF FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 004031A6 E8 92 E9 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 004031AB E9 EC E8 FF FF )     jmp     ( 401A9C ) | FORTH ' C@ 

( 004031B0                ) end-code


\ B1
\ In vocabulary FORTH
( 004031B0 96 31 40 00    ) \ link to CHAR
( 004031B4 05 54 4F 4B 45 )
( 004031B9 4E 00          ) code TOKEN

( 004031BB E8 DC F1 FF FF )     call    ( 40239C ) | FORTH ' BL 
( 004031C0 E8 38 FF FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 004031C5 E8 CB E7 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004031CA 1F 00 00 00    )             1F | FORTH lit, 
( 004031CE E8 B9 EF FF FF )     call    ( 40218C ) | FORTH ' MIN 
( 004031D3 E8 00 ED FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 004031D8 E8 77 E8 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004031DD E8 6C F1 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 004031E2 E9 E3 F3 FF FF )     jmp     ( 4025CA ) | FORTH ' PACK$ 

( 004031E7                ) end-code


\ B2
\ In vocabulary FORTH
( 004031E7 B4 31 40 00    ) \ link to TOKEN
( 004031EB 04 57 4F 52 44 )
( 004031F0 00             ) code WORD

( 004031F1 E8 07 FF FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 004031F6 E8 C3 F2 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 004031FB E8 4E F1 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403200 E9 C5 F3 FF FF )     jmp     ( 4025CA ) | FORTH ' PACK$ 

( 00403205                ) end-code


\ B3
\ In vocabulary FORTH
( 00403205 EB 31 40 00    ) \ link to WORD
( 00403209 05 4E 41 4D 45 )
( 0040320E 3E 00          ) code NAME>

( 00403210 E8 70 F2 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00403215 E8 7B E7 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040321A 1F FF 00 00    )             FF1F | FORTH lit, 
( 0040321E E8 6F E9 FF FF )     call    ( 401B92 ) | FORTH ' AND 
( 00403223 E8 82 EE FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403228 E8 AE F0 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 0040322D C3             )     ret     near 

( 0040322E                ) end-code


\ B4
\ In vocabulary FORTH
( 0040322E 09 32 40 00    ) \ link to NAME>
( 00403232 04 66 69 6E 64 )
( 00403237 00             ) code find

( 00403238 8B 1B          )     mov     ebx , [ebx] 
( 0040323A 0B DB          )     or      ebx , ebx 
( 0040323C 0F 84 A3 00 00 )
( 00403241 00             )     je      ( 4032E5 ) @@9 
( 00403242 53             )     push    ebx 
( 00403243 BA 01 00 00 00 )     mov     edx , # 1 
( 00403248 33 C9          )     xor     ecx , ecx 
( 0040324A                ) @@1: 
( 0040324A 5B             )     pop     ebx 
( 0040324B 53             )     push    ebx 
( 0040324C 8B 75 00       )     mov     esi , 0 [ebp] 
( 0040324F 8A 0E          )     mov     cl , [esi] 
( 00403251 80 E1 1F       )     and     cl , # 1F 
( 00403254 FE C1          )     inc     cl 
( 00403256 46             )     inc     esi 
( 00403257 8B FB          )     mov     edi , ebx 
( 00403259 47             )     inc     edi 
( 0040325A FC             )     cld 
( 0040325B                ) @@2: 
( 0040325B 33 C0          )     xor     eax , eax 
( 0040325D                ) @@3: 
( 0040325D 0A C9          )     or      cl , cl 
( 0040325F 74 45          )     je      ( 4032A6 ) @@7 
( 00403261 FE C9          )     dec     cl 
( 00403263 8A 27          )     mov     ah , [edi] 
( 00403265 47             )     inc     edi 
( 00403266 AC             )     lodsb
( 00403267 80 FC 80       )     cmp     ah , # 80 
( 0040326A 77 1B          )     ja      ( 403287 ) @@5 
( 0040326C 0B D2          )     or      edx , edx 
( 0040326E 75 17          )     jne     ( 403287 ) @@5 
( 00403270 3C 61          )     cmp     al , # 61 
( 00403272 72 06          )     jb      ( 40327A ) @@4 
( 00403274 3C 7A          )     cmp     al , # 7A 
( 00403276 77 02          )     ja      ( 40327A ) @@4 
( 00403278 2C 20          )     sub     al , # 20 
( 0040327A                ) @@4: 
( 0040327A 80 FC 61       )     cmp     ah , # 61 
( 0040327D 72 08          )     jb      ( 403287 ) @@5 
( 0040327F 80 FC 7A       )     cmp     ah , # 7A 
( 00403282 77 03          )     ja      ( 403287 ) @@5 
( 00403284 80 EC 20       )     sub     ah , # 20 
( 00403287                ) @@5: 
( 00403287 38 E0          )     cmp     al , ah 
( 00403289 74 D2          )     je      ( 40325D ) @@3 
( 0040328B                ) @@6: 
( 0040328B 83 EB 04       )     sub     ebx , # 4 
( 0040328E 8B 03          )     mov     eax , [ebx] 
( 00403290 0B C0          )     or      eax , eax 
( 00403292 74 28          )     je      ( 4032BC ) @@8 
( 00403294 8B D8          )     mov     ebx , eax 
( 00403296 8B 75 00       )     mov     esi , 0 [ebp] 
( 00403299 8A 0E          )     mov     cl , [esi] 
( 0040329B 80 E1 1F       )     and     cl , # 1F 
( 0040329E FE C1          )     inc     cl 
( 004032A0 46             )     inc     esi 
( 004032A1 8B FB          )     mov     edi , ebx 
( 004032A3 47             )     inc     edi 
( 004032A4 EB B5          )     jmp     ( 40325B ) @@2 
( 004032A6                ) @@7: 
( 004032A6 0B C9          )     or      ecx , ecx 
( 004032A8 75 E1          )     jne     ( 40328B ) @@6 
( 004032AA 59             )     pop     ecx 
( 004032AB 33 C9          )     xor     ecx , ecx 
( 004032AD 8B C3          )     mov     eax , ebx 
( 004032AF 8A 0B          )     mov     cl , [ebx] 
( 004032B1 80 E1 1F       )     and     cl , # 1F 
( 004032B4 03 C1          )     add     eax , ecx 
( 004032B6 40             )     inc     eax 
( 004032B7 40             )     inc     eax 
( 004032B8 89 45 00       )     mov     0 [ebp] , eax 
( 004032BB C3             )     ret     near 
( 004032BC                ) @@8: 
( 004032BC 52             )     push    edx 
( 004032BD FF 35 BE 81 40 )
( 004032C2 00             )     push    4081BE 
( 004032C3 E8 86 1F 00 00 )     call    40524E 
( 004032C8 05 00 10 00 00 )     add     eax , # 1000 
( 004032CD 05 2C 11 40 00 )     add     eax , # 40112C 
( 004032D2 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 004032D7 5A             )     pop     edx 
( 004032D8 03 10          )     add     edx , [eax] 
( 004032DA 0B D2          )     or      edx , edx 
( 004032DC 0F 84 68 FF FF )
( 004032E1 FF             )     je      ( 40324A ) @@1 
( 004032E2 5B             )     pop     ebx 
( 004032E3 33 DB          )     xor     ebx , ebx 
( 004032E5                ) @@9: 
( 004032E5 C3             )     ret     near 

( 004032E6                ) end-code


\ B5
\ In vocabulary FORTH
( 004032E6 32 32 40 00    ) \ link to find
( 004032EA 05 4E 41 4D 45 )
( 004032EF 3F 00          ) code NAME?

( 004032F1 E8 BB EB FF FF )     call    ( 401EB1 ) | FORTH ' CONTEXT 
( 004032F6 E8 52 E8 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004032FB E8 6E F1 FF FF )     call    ( 40246E ) | FORTH ' 2@ 
( 00403300 E8 AC E8 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00403305 0B DB          )     or      ebx , ebx 
( 00403307 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040330A 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040330D 74 05          )     je      ( 403314 ) @@1 
( 0040330F E8 49 F0 FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 00403314                ) @@1: 
( 00403314 E8 EC E7 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403319                ) @@2: 
( 00403319 E8 C2 E7 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040331E E8 2B F0 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403323 E8 25 E8 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403328 E8 D8 E7 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 0040332D E8 22 E7 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403332 E8 1F ED FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00403337 0B DB          )     or      ebx , ebx 
( 00403339 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040333C 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040333F 74 1F          )     je      ( 403360 ) @@3 
( 00403341 E8 F2 FE FF FF )     call    ( 403238 ) | FORTH ' find 
( 00403346 E8 0B ED FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 0040334B 0B DB          )     or      ebx , ebx 
( 0040334D 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403350 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403353 74 C4          )     je      ( 403319 ) @@2 
( 00403355 E8 86 E7 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040335A E8 DE E7 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040335F C3             )     ret     near 
( 00403360                ) @@3: 
( 00403360 E8 7B E7 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403365 E8 D3 E7 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040336A E9 1C F0 FF FF )     jmp     ( 40238B ) | FORTH ' 0 

( 0040336F                ) end-code


\ B6
\ In vocabulary FORTH
( 0040336F EA 32 40 00    ) \ link to NAME?
( 00403373 02 5E 48 00    ) code ^H

( 00403377 E8 89 E7 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 0040337C E8 F0 E7 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403381 E8 5A E7 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403386 E8 D3 E7 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 0040338B E8 E1 E7 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403390 E8 1C E8 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00403395 0B DB          )     or      ebx , ebx 
( 00403397 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040339A 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040339D 74 3A          )     je      ( 4033D9 ) @@1 
( 0040339F E8 F1 E5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004033A4 08 00 00 00    )             8 | FORTH lit, 
( 004033A8 E8 17 EA FF FF )     call    ( 401DC4 ) | FORTH ' 'ECHO 
( 004033AD E8 56 F1 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 004033B2 E8 2E EF FF FF )     call    ( 4022E5 ) | FORTH ' 1- 
( 004033B7 E8 E0 EF FF FF )     call    ( 40239C ) | FORTH ' BL 
( 004033BC E8 03 EA FF FF )     call    ( 401DC4 ) | FORTH ' 'ECHO 
( 004033C1 E8 42 F1 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 004033C6 E8 CA E5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004033CB 08 00 00 00    )             8 | FORTH lit, 
( 004033CF E8 F0 E9 FF FF )     call    ( 401DC4 ) | FORTH ' 'ECHO 
( 004033D4 E8 2F F1 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 004033D9                ) @@1: 
( 004033D9 C3             )     ret     near 
( 004033DA 8D 6D FC       )     lea     ebp , -4 [ebp] 
( 004033DD 89 5D 00       )     mov     0 [ebp] , ebx 
( 004033E0 33 DB          )     xor     ebx , ebx 
( 004033E2 FF 35 BE 81 40 )
( 004033E7 00             )     push    4081BE 
( 004033E8 E8 61 1E 00 00 )     call    40524E 
( 004033ED 05 00 10 00 00 )     add     eax , # 1000 
( 004033F2 05 34 11 40 00 )     add     eax , # 401134 
( 004033F7 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 004033FC 8B 30          )     mov     esi , [eax] 
( 004033FE 83 FE FE       )     cmp     esi , # -2 
( 00403401 75 02          )     jne     ( 403405 ) @@2 
( 00403403 8B 18          )     mov     ebx , [eax] 
( 00403405                ) @@2: 
( 00403405 33 F6          )     xor     esi , esi 
( 00403407 FF 35 BE 81 40 )
( 0040340C 00             )     push    4081BE 
( 0040340D E8 3C 1E 00 00 )     call    40524E 
( 00403412 05 00 10 00 00 )     add     eax , # 1000 
( 00403417 05 34 11 40 00 )     add     eax , # 401134 
( 0040341C 2D A0 10 40 00 )     sub     eax , # 4010A0 
( 00403421 89 30          )     mov     [eax] , esi 
( 00403423 C3             )     ret     near 

( 00403424                ) end-code


\ B7
\ In vocabulary FORTH
( 00403424 73 33 40 00    ) \ link to ^H
( 00403428 03 54 41 50 00 ) code TAP

( 0040342D E8 1B E7 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403432 E8 8D E9 FF FF )     call    ( 401DC4 ) | FORTH ' 'ECHO 
( 00403437 E8 CC F0 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 0040343C E8 0C E7 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403441 E8 4F E5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403446 00 01 00 00    )             100 | FORTH lit, 
( 0040344A E8 FE EC FF FF )     call    ( 40214D ) | FORTH ' < 
( 0040344F E8 7E EC FF FF )     call    ( 4020D2 ) | FORTH ' NOT 
( 00403454 0B DB          )     or      ebx , ebx 
( 00403456 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403459 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040345C 74 2C          )     je      ( 40348A ) @@1 
( 0040345E E8 EA E6 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403463 E8 9D E6 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403468 E8 28 E5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040346D 08 00 00 00    )             8 | FORTH lit, 
( 00403471 E8 C2 EE FF FF )     call    ( 402338 ) | FORTH ' RSHIFT 
( 00403476 E8 F6 E6 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040347B E8 ED E5 FF FF )     call    ( 401A6D ) | FORTH ' C! 
( 00403480 E8 56 EE FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00403485 E8 56 E6 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040348A                ) @@1: 
( 0040348A E8 E2 E6 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040348F E8 D9 E5 FF FF )     call    ( 401A6D ) | FORTH ' C! 
( 00403494 E9 42 EE FF FF )     jmp     ( 4022DB ) | FORTH ' 1+ 

( 00403499                ) end-code


\ B8
\ In vocabulary FORTH
( 00403499 28 34 40 00    ) \ link to TAP
( 0040349D 04 6B 54 41 50 )
( 004034A2 00             ) code kTAP

( 004034A3 E8 A5 E6 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004034A8 E8 E8 E4 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004034AD 0D 00 00 00    )             D | FORTH lit, 
( 004034B1 E8 FB E6 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 004034B6 0B DB          )     or      ebx , ebx 
( 004034B8 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004034BB 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004034BE 74 3D          )     je      ( 4034FD ) @@3 
( 004034C0 E8 D0 E4 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004034C5 08 00 00 00    )             8 | FORTH lit, 
( 004034C9 E8 E3 E6 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 004034CE 0B DB          )     or      ebx , ebx 
( 004034D0 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004034D3 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004034D6 74 0B          )     je      ( 4034E3 ) @@1 
( 004034D8 E8 BF EE FF FF )     call    ( 40239C ) | FORTH ' BL 
( 004034DD E8 4B FF FF FF )     call    ( 40342D ) | FORTH ' TAP 
( 004034E2 C3             )     ret     near 
( 004034E3                ) @@1: 
( 004034E3 E8 8F FE FF FF )     call    ( 403377 ) | FORTH ' ^H 
( 004034E8 E8 ED FE FF FF )     call    4033DA 
( 004034ED 0B DB          )     or      ebx , ebx 
( 004034EF 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004034F2 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004034F5 74 05          )     je      ( 4034FC ) @@2 
( 004034F7 E8 E9 ED FF FF )     call    ( 4022E5 ) | FORTH ' 1- 
( 004034FC                ) @@2: 
( 004034FC C3             )     ret     near 
( 004034FD                ) @@3: 
( 004034FD E8 3B E6 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403502 E8 57 E6 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403507 E8 31 E6 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040350C E9 3C E6 FF FF )     jmp     ( 401B4D ) | FORTH ' DUP 

( 00403511                ) end-code


\ B9
\ In vocabulary FORTH
( 00403511 9D 34 40 00    ) \ link to kTAP
( 00403515 06 61 63 63 65 )
( 0040351A 70 74 00       ) code accept

( 0040351D E8 4F E6 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403522 E8 83 EB FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403527 E8 45 E6 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040352C                ) @@1: 
( 0040352C E8 65 EB FF FF )     call    ( 402096 ) | FORTH ' 2DUP 
( 00403531 E8 7B E6 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00403536 0B DB          )     or      ebx , ebx 
( 00403538 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040353B 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040353E 74 3A          )     je      ( 40357A ) @@4 
( 00403540 E8 F9 F7 FF FF )     call    ( 402D3E ) | FORTH ' KEY 
( 00403545 E8 03 E6 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 0040354A E8 4D EE FF FF )     call    ( 40239C ) | FORTH ' BL 
( 0040354F E8 41 E4 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403554 00 00 01 00    )             10000 | FORTH lit, 
( 00403558 E8 5E EC FF FF )     call    ( 4021BB ) | FORTH ' WITHIN 
( 0040355D 0B DB          )     or      ebx , ebx 
( 0040355F 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403562 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403565 74 07          )     je      ( 40356E ) @@2 
( 00403567 E8 C1 FE FF FF )     call    ( 40342D ) | FORTH ' TAP 
( 0040356C EB 0A          )     jmp     ( 403578 ) @@3 
( 0040356E                ) @@2: 
( 0040356E E8 3D E8 FF FF )     call    ( 401DB0 ) | FORTH ' 'TAP 
( 00403573 E8 90 EF FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 00403578                ) @@3: 
( 00403578 EB B2          )     jmp     ( 40352C ) @@1 
( 0040357A                ) @@4: 
( 0040357A E8 BE E5 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040357F E8 ED E5 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403584 E9 7D EB FF FF )     jmp     ( 402106 ) | FORTH ' - 

( 00403589                ) end-code


\ BA
\ In vocabulary FORTH
( 00403589 15 35 40 00    ) \ link to accept
( 0040358D 06 45 58 50 45 )
( 00403592 43 54 00       ) code EXPECT

( 00403595 E8 03 E8 FF FF )     call    ( 401D9D ) | FORTH ' 'EXPECT 
( 0040359A E8 69 EF FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 0040359F E8 6E E8 FF FF )     call    ( 401E12 ) | FORTH ' SPAN 
( 004035A4 E8 8B E4 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004035A9 E8 8F E5 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 004035AE C3             )     ret     near 

( 004035AF                ) end-code


\ BB
\ In vocabulary FORTH
( 004035AF 8D 35 40 00    ) \ link to EXPECT
( 004035B3 05 51 55 45 52 )
( 004035B8 59 00          ) code QUERY

( 004035BA E8 2C EF FF FF )     call    ( 4024EB ) | FORTH ' TIB 
( 004035BF E8 D1 E3 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004035C4 50 00 00 00    )             50 | FORTH lit, 
( 004035C8 E8 D0 E7 FF FF )     call    ( 401D9D ) | FORTH ' 'EXPECT 
( 004035CD E8 36 EF FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 004035D2 E8 60 E8 FF FF )     call    ( 401E37 ) | FORTH ' #TIB 
( 004035D7 E8 58 E4 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004035DC E8 5C E5 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 004035E1 E8 A5 ED FF FF )     call    ( 40238B ) | FORTH ' 0 
( 004035E6 E8 39 E8 FF FF )     call    ( 401E24 ) | FORTH ' >IN 
( 004035EB E9 44 E4 FF FF )     jmp     ( 401A34 ) | FORTH ' ! 

( 004035F0                ) end-code


\ BC
\ In vocabulary FORTH
( 004035F0 B3 35 40 00    ) \ link to QUERY
( 004035F4 05 43 41 54 43 )
( 004035F9 48 00          ) code CATCH

( 004035FB E8 18 E5 FF FF )     call    ( 401B18 ) | FORTH ' SP@ 
( 00403600 E8 00 E5 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403605 E8 91 E8 FF FF )     call    ( 401E9B ) | FORTH ' HANDLER 
( 0040360A E8 45 E4 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040360F E8 F1 E4 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403614 E8 A0 E4 FF FF )     call    ( 401AB9 ) | FORTH ' RP@ 
( 00403619 E8 7D E8 FF FF )     call    ( 401E9B ) | FORTH ' HANDLER 
( 0040361E E8 11 E4 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403623 E8 9D E3 FF FF )     call    ( 4019C5 ) | FORTH ' EXECUTE 
( 00403628 E8 B3 E4 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040362D E8 69 E8 FF FF )     call    ( 401E9B ) | FORTH ' HANDLER 
( 00403632 E8 FD E3 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403637 E8 A4 E4 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040363C E8 FC E4 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403641 E9 45 ED FF FF )     jmp     ( 40238B ) | FORTH ' 0 

( 00403646                ) end-code


\ BD
\ In vocabulary FORTH
( 00403646 F4 35 40 00    ) \ link to CATCH
( 0040364A 05 54 48 52 4F )
( 0040364F 57 00          ) code THROW

( 00403651 E8 45 E8 FF FF )     call    ( 401E9B ) | FORTH ' HANDLER 
( 00403656 E8 F9 E3 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040365B E8 6D E4 FF FF )     call    ( 401ACD ) | FORTH ' RP! 
( 00403660 E8 7B E4 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403665 E8 31 E8 FF FF )     call    ( 401E9B ) | FORTH ' HANDLER 
( 0040366A E8 C5 E3 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 0040366F E8 6C E4 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403674 E8 E5 E4 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403679 E8 87 E4 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 0040367E E8 A7 E4 FF FF )     call    ( 401B2A ) | FORTH ' SP! 
( 00403683 E8 B5 E4 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403688 E8 53 E4 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 0040368D C3             )     ret     near 

( 0040368E                ) end-code


\ BE
\ In vocabulary FORTH
( 0040368E 4A 36 40 00    ) \ link to THROW
( 00403692 05 4E 55 4C 4C )
( 00403697 24 00          ) code NULL$

( 00403699 E8 71 E6 FF FF )     call    ( 401D0F ) | FORTH ' doVAR 
( 0040369E 63 6F 79 6F 74 )
( 004036A3 65             )             6 allot 

( 004036A4                ) end-code


\ BF
\ In vocabulary FORTH
( 004036A4 92 36 40 00    ) \ link to NULL$
( 004036A8 05 41 42 4F 52 )
( 004036AD 54 00          ) code ABORT

( 004036AF E8 E5 FF FF FF )     call    ( 403699 ) | FORTH ' NULL$ 
( 004036B4 EB 9B          )     jmp     ( 403651 ) | FORTH ' THROW 

( 004036B6                ) end-code


\ C0
\ In vocabulary FORTH
( 004036B6 A8 36 40 00    ) \ link to ABORT
( 004036BA 48 64 6F 41 42 )
( 004036BF 4F 52 54 22 00 ) code doABORT" COMPILE-ONLY 

( 004036C4 0B DB          )     or      ebx , ebx 
( 004036C6 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004036C9 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004036CC 74 0A          )     je      ( 4036D8 ) @@1 
( 004036CE E8 6F F7 FF FF )     call    ( 402E42 ) | FORTH ' do$ 
( 004036D3 E8 79 FF FF FF )     call    ( 403651 ) | FORTH ' THROW 
( 004036D8                ) @@1: 
( 004036D8 E8 65 F7 FF FF )     call    ( 402E42 ) | FORTH ' do$ 
( 004036DD E9 5B E4 FF FF )     jmp     ( 401B3D ) | FORTH ' DROP 

( 004036E2                ) end-code


\ C1
\ In vocabulary FORTH
( 004036E2 BA 36 40 00    ) \ link to doABORT"
( 004036E6 0A 24 49 4E 54 )
( 004036EB 45 52 50 52 45 )
( 004036F0 54 00          ) code $INTERPRET

( 004036F2 E8 FA FB FF FF )     call    ( 4032F1 ) | FORTH ' NAME? 
( 004036F7 E8 5A E9 FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 004036FC 0B DB          )     or      ebx , ebx 
( 004036FE 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403701 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403704 74 2D          )     je      ( 403733 ) @@1 
( 00403706 E8 49 E3 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040370B E8 85 E2 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403710 40 00 00 00    )             40 | FORTH lit, 
( 00403714 E8 79 E4 FF FF )     call    ( 401B92 ) | FORTH ' AND 
( 00403719 E8 A6 FF FF FF )     call    ( 4036C4 ) | FORTH ' doABORT" 
( 0040371E 0D 20 63 6F 6D )
( 00403723 70 69 6C 65 20 )
( 00403728 6F 6E 6C 79 00 )     | FORTH str,"  compile only" 
( 0040372D E8 93 E2 FF FF )     call    ( 4019C5 ) | FORTH ' EXECUTE 
( 00403732 C3             )     ret     near 
( 00403733                ) @@1: 
( 00403733 E8 3B E7 FF FF )     call    ( 401E73 ) | FORTH ' 'NUMBER 
( 00403738 E8 CB ED FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 0040373D 0B DB          )     or      ebx , ebx 
( 0040373F 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403742 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403745 74 01          )     je      ( 403748 ) @@2 
( 00403747 C3             )     ret     near 
( 00403748                ) @@2: 
( 00403748 E8 04 FF FF FF )     call    ( 403651 ) | FORTH ' THROW 

( 0040374D                ) end-code


\ C2
\ In vocabulary FORTH
( 0040374D E6 36 40 00    ) \ link to $INTERPRET
( 00403751 81 5B 00       ) code [ IMMEDIATE 

( 00403754 E8 3C E2 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403759 F2 36 40 00    )             ( 4036F2 ) | FORTH ' $INTERPRET | FORTH lit, 
( 0040375D E8 FB E6 FF FF )     call    ( 401E5D ) | FORTH ' 'EVAL 
( 00403762 E9 CD E2 FF FF )     jmp     ( 401A34 ) | FORTH ' ! 

( 00403767                ) end-code


\ C3
\ In vocabulary FORTH
( 00403767 51 37 40 00    ) \ link to [
( 0040376B 03 2E 4F 4B 00 ) code .OK

( 00403770 E8 20 E2 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403775 F2 36 40 00    )             ( 4036F2 ) | FORTH ' $INTERPRET | FORTH lit, 
( 00403779 E8 DF E6 FF FF )     call    ( 401E5D ) | FORTH ' 'EVAL 
( 0040377E E8 D1 E2 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403783 E8 9E E9 FF FF )     call    ( 402126 ) | FORTH ' = 
( 00403788 0B DB          )     or      ebx , ebx 
( 0040378A 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040378D 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403790 74 0A          )     je      ( 40379C ) @@1 
( 00403792 E8 0E F7 FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 00403797 03 20 6F 6B 00 )     | FORTH str,"  ok" 
( 0040379C                ) @@1: 
( 0040379C E9 7B F6 FF FF )     jmp     ( 402E1C ) | FORTH ' CR 

( 004037A1                ) end-code


\ C4
\ In vocabulary FORTH
( 004037A1 6B 37 40 00    ) \ link to .OK
( 004037A5 06 3F 53 54 41 )
( 004037AA 43 4B 00       ) code ?STACK

( 004037AD E8 50 EC FF FF )     call    ( 402402 ) | FORTH ' DEPTH 
( 004037B2 E8 CC E3 FF FF )     call    ( 401B83 ) | FORTH ' 0< 
( 004037B7 E8 08 FF FF FF )     call    ( 4036C4 ) | FORTH ' doABORT" 
( 004037BC 0A 20 75 6E 64 )
( 004037C1 65 72 66 6C 6F )
( 004037C6 77 00          )     | FORTH str,"  underflow" 
( 004037C8 C3             )     ret     near 

( 004037C9                ) end-code


\ C5
\ In vocabulary FORTH
( 004037C9 A5 37 40 00    ) \ link to ?STACK
( 004037CD 04 45 56 41 4C )
( 004037D2 00             ) code EVAL

( 004037D3                ) @@1: 
( 004037D3 E8 E3 F9 FF FF )     call    ( 4031BB ) | FORTH ' TOKEN 
( 004037D8 E8 70 E3 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004037DD E8 BA E2 FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 004037E2 0B DB          )     or      ebx , ebx 
( 004037E4 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004037E7 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004037EA 74 11          )     je      ( 4037FD ) @@2 
( 004037EC E8 6C E6 FF FF )     call    ( 401E5D ) | FORTH ' 'EVAL 
( 004037F1 E8 12 ED FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 004037F6 E8 B2 FF FF FF )     call    ( 4037AD ) | FORTH ' ?STACK 
( 004037FB EB D6          )     jmp     ( 4037D3 ) @@1 
( 004037FD                ) @@2: 
( 004037FD E8 3B E3 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403802 E8 D3 E5 FF FF )     call    ( 401DDA ) | FORTH ' 'PROMPT 
( 00403807 E9 FC EC FF FF )     jmp     ( 402508 ) | FORTH ' @EXECUTE 

( 0040380C                ) end-code


\ C6
\ In vocabulary FORTH
( 0040380C CD 37 40 00    ) \ link to EVAL
( 00403810 06 50 52 45 53 )
( 00403815 45 54 00       ) code PRESET

( 00403818 E8 30 E5 FF FF )     call    ( 401D4D ) | FORTH ' SP0 
( 0040381D E8 32 E2 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403822 E8 03 E3 FF FF )     call    ( 401B2A ) | FORTH ' SP! 
( 00403827 E8 FD E7 FF FF )     call    ( 402029 ) | FORTH ' DEFTIB 
( 0040382C E8 06 E6 FF FF )     call    ( 401E37 ) | FORTH ' #TIB 
( 00403831 E8 18 EB FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403836 E9 F9 E1 FF FF )     jmp     ( 401A34 ) | FORTH ' ! 

( 0040383B                ) end-code


\ C7
\ In vocabulary FORTH
( 0040383B 10 38 40 00    ) \ link to PRESET
( 0040383F 43 78 69 6F 00 ) code xio COMPILE-ONLY 

( 00403844 E8 4C E1 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403849 1D 35 40 00    )             ( 40351D ) | FORTH ' accept | FORTH lit, 
( 0040384D E8 4B E5 FF FF )     call    ( 401D9D ) | FORTH ' 'EXPECT 
( 00403852 E8 FD EB FF FF )     call    ( 402454 ) | FORTH ' 2! 
( 00403857 E8 68 E5 FF FF )     call    ( 401DC4 ) | FORTH ' 'ECHO 
( 0040385C E9 F3 EB FF FF )     jmp     ( 402454 ) | FORTH ' 2! 

( 00403861                ) end-code


\ C8
\ In vocabulary FORTH
( 00403861 3F 38 40 00    ) \ link to xio
( 00403865 04 46 49 4C 45 )
( 0040386A 00             ) code FILE

( 0040386B E8 25 E1 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403870 98 2D 40 00    )             ( 402D98 ) | FORTH ' PACE | FORTH lit, 
( 00403874 E8 1C E1 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403879 3D 1B 40 00    )             ( 401B3D ) | FORTH ' DROP | FORTH lit, 
( 0040387D E8 13 E1 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403882 A3 34 40 00    )             ( 4034A3 ) | FORTH ' kTAP | FORTH lit, 
( 00403886 EB BC          )     jmp     ( 403844 ) | FORTH ' xio 

( 00403888                ) end-code


\ C9
\ In vocabulary FORTH
( 00403888 65 38 40 00    ) \ link to FILE
( 0040388C 04 48 41 4E 44 )
( 00403891 00             ) code HAND

( 00403892 E8 FE E0 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403897 70 37 40 00    )             ( 403770 ) | FORTH ' .OK | FORTH lit, 
( 0040389B E8 F5 E0 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004038A0 52 2D 40 00    )             ( 402D52 ) | FORTH ' EMIT | FORTH lit, 
( 004038A4 E8 EC E0 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004038A9 A3 34 40 00    )             ( 4034A3 ) | FORTH ' kTAP | FORTH lit, 
( 004038AD EB 95          )     jmp     ( 403844 ) | FORTH ' xio 

( 004038AF                ) end-code


\ CA
\ In vocabulary FORTH
( 004038AF 8C 38 40 00    ) \ link to HAND
( 004038B3 03 49 2F 4F 00 ) code I/O

( 004038B8 E8 52 E4 FF FF )     call    ( 401D0F ) | FORTH ' doVAR 
( 004038BD 6D 19 40 00 7B )
( 004038C2 19 40 00       )             8 allot 

( 004038C5                ) end-code


\ CB
\ In vocabulary FORTH
( 004038C5 B3 38 40 00    ) \ link to I/O
( 004038C9 07 43 4F 4E 53 )
( 004038CE 4F 4C 45 00    ) code CONSOLE

( 004038D2 E8 A3 E6 FF FF )     call    ( 401F7A ) | FORTH ' DEF'?KEY 
( 004038D7 E8 78 E1 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004038DC E8 92 E4 FF FF )     call    ( 401D73 ) | FORTH ' '?KEY 
( 004038E1 E8 4E E1 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004038E6 E8 78 E6 FF FF )     call    ( 401F63 ) | FORTH ' DEF'EMIT 
( 004038EB E8 64 E1 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004038F0 E8 92 E4 FF FF )     call    ( 401D87 ) | FORTH ' 'EMIT 
( 004038F5 E8 3A E1 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004038FA EB 96          )     jmp     ( 403892 ) | FORTH ' HAND 

( 004038FC                ) end-code


\ CC
\ In vocabulary FORTH
( 004038FC C9 38 40 00    ) \ link to CONSOLE
( 00403900 04 51 55 49 54 )
( 00403905 00             ) code QUIT

( 00403906 E8 54 E4 FF FF )     call    ( 401D5F ) | FORTH ' RP0 
( 0040390B E8 44 E1 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403910 E8 B8 E1 FF FF )     call    ( 401ACD ) | FORTH ' RP! 
( 00403915                ) @@1: 
( 00403915 E8 3A FE FF FF )     call    ( 403754 ) | FORTH ' [ 
( 0040391A                ) @@2: 
( 0040391A E8 9B FC FF FF )     call    ( 4035BA ) | FORTH ' QUERY 
( 0040391F E8 71 E0 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403924 D3 37 40 00    )             ( 4037D3 ) | FORTH ' EVAL | FORTH lit, 
( 00403928 E8 CE FC FF FF )     call    ( 4035FB ) | FORTH ' CATCH 
( 0040392D E8 24 E7 FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00403932 0B DB          )     or      ebx , ebx 
( 00403934 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403937 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040393A 74 DE          )     je      ( 40391A ) @@2 
( 0040393C E8 99 E4 FF FF )     call    ( 401DDA ) | FORTH ' 'PROMPT 
( 00403941 E8 0E E1 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403946 E8 13 E2 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 0040394B E8 82 FF FF FF )     call    ( 4038D2 ) | FORTH ' CONSOLE 
( 00403950 E8 44 FD FF FF )     call    ( 403699 ) | FORTH ' NULL$ 
( 00403955 E8 17 E2 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040395A E8 52 E2 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 0040395F 0B DB          )     or      ebx , ebx 
( 00403961 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403964 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403967 74 1E          )     je      ( 403987 ) @@3 
( 00403969 E8 40 F4 FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 0040396E E8 12 EB FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00403973 E8 73 F4 FF FF )     call    ( 402DEB ) | FORTH ' TYPE 
( 00403978 E8 28 F5 FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 0040397D 03 20 3F 20 00 )     | FORTH str,"  ? " 
( 00403982 E8 95 F4 FF FF )     call    ( 402E1C ) | FORTH ' CR 
( 00403987                ) @@3: 
( 00403987 E8 09 E0 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040398C 70 37 40 00    )             ( 403770 ) | FORTH ' .OK | FORTH lit, 
( 00403990 E8 1C E2 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00403995 0B DB          )     or      ebx , ebx 
( 00403997 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040399A 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040399D 74 0E          )     je      ( 4039AD ) @@4 
( 0040399F E8 F1 DF FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004039A4 1B 00 00 00    )             1B | FORTH lit, 
( 004039A8 E8 A5 F3 FF FF )     call    ( 402D52 ) | FORTH ' EMIT 
( 004039AD                ) @@4: 
( 004039AD E8 66 FE FF FF )     call    ( 403818 ) | FORTH ' PRESET 
( 004039B2 E8 D4 E9 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 004039B7 E8 41 E6 FF FF )     call    ( 401FFD ) | FORTH ' CLIPBOARD>IN 
( 004039BC E8 73 E0 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004039C1 E9 4F FF FF FF )     jmp     ( 403915 ) @@1 

( 004039C6                ) end-code


\ CD
\ In vocabulary FORTH
( 004039C6 00 39 40 00    ) \ link to QUIT
( 004039CA 01 27 00       ) code '

( 004039CD E8 E9 F7 FF FF )     call    ( 4031BB ) | FORTH ' TOKEN 
( 004039D2 E8 1A F9 FF FF )     call    ( 4032F1 ) | FORTH ' NAME? 
( 004039D7 0B DB          )     or      ebx , ebx 
( 004039D9 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004039DC 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004039DF 74 01          )     je      ( 4039E2 ) @@1 
( 004039E1 C3             )     ret     near 
( 004039E2                ) @@1: 
( 004039E2 E9 6A FC FF FF )     jmp     ( 403651 ) | FORTH ' THROW 

( 004039E7                ) end-code


\ CE
\ In vocabulary FORTH
( 004039E7 CA 39 40 00    ) \ link to '
( 004039EB C3 5B 27 5D 00 ) code ['] IMMEDIATE  COMPILE-ONLY 

( 004039F0 E8 D8 FF FF FF )     call    ( 4039CD ) | FORTH ' ' 
( 004039F5 E8 9B DF FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004039FA 95 19 40 00    )             ( 401995 ) | FORTH ' doLIT | FORTH lit, 
( 004039FE E8 5C 05 00 00 )     call    ( 403F5F ) | FORTH ' call, 
( 00403A03 E8 1D 00 00 00 )     call    ( 403A25 ) | FORTH ' , 
( 00403A08 C3             )     ret     near 

( 00403A09                ) end-code


\ CF
\ In vocabulary FORTH
( 00403A09 EB 39 40 00    ) \ link to [']
( 00403A0D 05 41 4C 4C 4F )
( 00403A12 54 00          ) code ALLOT

( 00403A14 E8 BF E4 FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 00403A19 E9 22 EA FF FF )     jmp     ( 402440 ) | FORTH ' +! 

( 00403A1E                ) end-code


\ D0
\ In vocabulary FORTH
( 00403A1E 0D 3A 40 00    ) \ link to ALLOT
( 00403A22 01 2C 00       ) code ,

( 00403A25 E8 94 EA FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403A2A E8 1E E1 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403A2F E8 1A E9 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403A34 E8 9F E4 FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 00403A39 E8 F6 DF FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403A3E E8 F1 DF FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403A43 C3             )     ret     near 

( 00403A44                ) end-code


\ D1
\ In vocabulary FORTH
( 00403A44 22 3A 40 00    ) \ link to ,
( 00403A48 02 43 2C 00    ) code C,

( 00403A4C E8 6D EA FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403A51 E8 F7 E0 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403A56 E8 80 E8 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00403A5B E8 78 E4 FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 00403A60 E8 CF DF FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403A65 E9 03 E0 FF FF )     jmp     ( 401A6D ) | FORTH ' C! 

( 00403A6A                ) end-code


\ D2
\ In vocabulary FORTH
( 00403A6A 48 3A 40 00    ) \ link to C,
( 00403A6E 89 5B 43 4F 4D )
( 00403A73 50 49 4C 45 5D )
( 00403A78 00             ) code [COMPILE] IMMEDIATE 

( 00403A79 E8 4F FF FF FF )     call    ( 4039CD ) | FORTH ' ' 
( 00403A7E E9 DC 04 00 00 )     jmp     ( 403F5F ) | FORTH ' call, 

( 00403A83                ) end-code


\ D3
\ In vocabulary FORTH
( 00403A83 6E 3A 40 00    ) \ link to [COMPILE]
( 00403A87 47 43 4F 4D 50 )
( 00403A8C 49 4C 45 00    ) code COMPILE COMPILE-ONLY 

( 00403A90 E8 4B E0 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403A95 E8 41 E8 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00403A9A E8 AE E0 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403A9F E8 B0 DF FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403AA4 E8 B5 E0 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403AA9 E8 A0 E8 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403AAE E8 9A E0 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403AB3 E8 4D E0 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403AB8 E8 ED E5 FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403ABD E8 9D 04 00 00 )     call    ( 403F5F ) | FORTH ' call, 
( 00403AC2 C3             )     ret     near 

( 00403AC3                ) end-code


\ D4
\ In vocabulary FORTH
( 00403AC3 87 3A 40 00    ) \ link to COMPILE
( 00403AC7 87 4C 49 54 45 )
( 00403ACC 52 41 4C 00    ) code LITERAL IMMEDIATE 

( 00403AD0 E8 C0 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403AD5 8D 00 00 00    )             8D | FORTH lit, 
( 00403AD9 E8 6E FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403ADE E8 B2 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403AE3 6D 00 00 00    )             6D | FORTH lit, 
( 00403AE7 E8 60 FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403AEC E8 A4 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403AF1 FC 00 00 00    )             FC | FORTH lit, 
( 00403AF5 E8 52 FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403AFA E8 96 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403AFF 89 00 00 00    )             89 | FORTH lit, 
( 00403B03 E8 44 FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403B08 E8 88 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403B0D 5D 00 00 00    )             5D | FORTH lit, 
( 00403B11 E8 36 FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403B16 E8 7A DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403B1B 00 00 00 00    )             0 | FORTH lit, 
( 00403B1F E8 28 FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403B24 E8 6C DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403B29 BB 00 00 00    )             BB | FORTH lit, 
( 00403B2D E8 1A FF FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403B32 E9 EE FE FF FF )     jmp     ( 403A25 ) | FORTH ' , 

( 00403B37                ) end-code


\ D5
\ In vocabulary FORTH
( 00403B37 C7 3A 40 00    ) \ link to LITERAL
( 00403B3B 03 24 2C 22 00 ) code $,"

( 00403B40 E8 50 DE FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403B45 22 00 00 00    )             22 | FORTH lit, 
( 00403B49 E8 AF F5 FF FF )     call    ( 4030FD ) | FORTH ' PARSE 
( 00403B4E E8 6B E9 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403B53 E8 72 EA FF FF )     call    ( 4025CA ) | FORTH ' PACK$ 
( 00403B58 E8 28 E9 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00403B5D E8 48 E5 FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403B62 E8 74 E7 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00403B67 E8 6C E3 FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 00403B6C E9 C3 DE FF FF )     jmp     ( 401A34 ) | FORTH ' ! 

( 00403B71                ) end-code


\ D6
\ In vocabulary FORTH
( 00403B71 3B 3B 40 00    ) \ link to $,"
( 00403B75 87 52 45 43 55 )
( 00403B7A 52 53 45 00    ) code RECURSE IMMEDIATE 

( 00403B7E E8 79 E3 FF FF )     call    ( 401EFC ) | FORTH ' LAST 
( 00403B83 E8 CC DE FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403B88 E8 83 F6 FF FF )     call    ( 403210 ) | FORTH ' NAME> 
( 00403B8D E8 CD 03 00 00 )     call    ( 403F5F ) | FORTH ' call, 
( 00403B92 C3             )     ret     near 

( 00403B93                ) end-code


\ D7
\ In vocabulary FORTH
( 00403B93 75 3B 40 00    ) \ link to RECURSE
( 00403B97 C3 46 4F 52 00 ) code FOR IMMEDIATE  COMPILE-ONLY 

( 00403B9C E8 EF FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403BA1 E8 5F DF FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403BA6 E8 13 E9 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403BAB C3             )     ret     near 

( 00403BAC                ) end-code


\ D8
\ In vocabulary FORTH
( 00403BAC 97 3B 40 00    ) \ link to FOR
( 00403BB0 C5 42 45 47 49 )
( 00403BB5 4E 00          ) code BEGIN IMMEDIATE  COMPILE-ONLY 

( 00403BB7 E8 02 E9 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403BBC C3             )     ret     near 

( 00403BBD                ) end-code


\ D9
\ In vocabulary FORTH
( 00403BBD B0 3B 40 00    ) \ link to BEGIN
( 00403BC1 C4 4E 45 58 54 )
( 00403BC6 00             ) code NEXT IMMEDIATE  COMPILE-ONLY 

( 00403BC7 E8 C4 FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403BCC E8 18 DE FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00403BD1 E8 E8 E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403BD6 E8 73 E7 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403BDB E8 26 E5 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403BE0 E8 40 FE FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403BE5 C3             )     ret     near 

( 00403BE6                ) end-code


\ DA
\ In vocabulary FORTH
( 00403BE6 C1 3B 40 00    ) \ link to NEXT
( 00403BEA C5 55 4E 54 49 )
( 00403BEF 4C 00          ) code UNTIL IMMEDIATE  COMPILE-ONLY 

( 00403BF1 E8 9A FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403BF6 E8 0C DE FF FF )     call    ( 401A07 ) | FORTH ' ?branch 
( 00403BFB E8 BE E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403C00 E8 49 E7 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403C05 E8 FC E4 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403C0A E8 16 FE FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403C0F C3             )     ret     near 

( 00403C10                ) end-code


\ DB
\ In vocabulary FORTH
( 00403C10 EA 3B 40 00    ) \ link to UNTIL
( 00403C14 C5 41 47 41 49 )
( 00403C19 4E 00          ) code AGAIN IMMEDIATE  COMPILE-ONLY 

( 00403C1B E8 70 FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403C20 E8 00 DE FF FF )     call    ( 401A25 ) | FORTH ' branch 
( 00403C25 E8 94 E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403C2A E8 1F E7 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403C2F E8 D2 E4 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403C34 E8 EC FD FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403C39 C3             )     ret     near 

( 00403C3A                ) end-code


\ DC
\ In vocabulary FORTH
( 00403C3A 14 3C 40 00    ) \ link to AGAIN
( 00403C3E C2 49 46 00    ) code IF IMMEDIATE  COMPILE-ONLY 

( 00403C42 E8 49 FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403C47 E8 BB DD FF FF )     call    ( 401A07 ) | FORTH ' ?branch 
( 00403C4C E8 6D E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403C51 E8 35 E7 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00403C56 E8 CA FD FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403C5B C3             )     ret     near 

( 00403C5C                ) end-code


\ DD
\ In vocabulary FORTH
( 00403C5C 3E 3C 40 00    ) \ link to IF
( 00403C60 85 41 48 45 41 )
( 00403C65 44 00          ) code AHEAD IMMEDIATE 

( 00403C67 E8 24 FE FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403C6C E8 B4 DD FF FF )     call    ( 401A25 ) | FORTH ' branch 
( 00403C71 E8 48 E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403C76 E8 10 E7 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00403C7B E8 A5 FD FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403C80 C3             )     ret     near 

( 00403C81                ) end-code


\ DE
\ In vocabulary FORTH
( 00403C81 60 3C 40 00    ) \ link to AHEAD
( 00403C85 86 52 45 50 45 )
( 00403C8A 41 54 00       ) code REPEAT IMMEDIATE 

( 00403C8D E8 89 FF FF FF )     call    ( 403C1B ) | FORTH ' AGAIN 
( 00403C92 E8 27 E8 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403C97 E8 C1 E6 FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 00403C9C E8 D0 DE FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403CA1 E8 60 E4 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403CA6 E8 B3 DE FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403CAB E8 84 DD FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403CB0 C3             )     ret     near 

( 00403CB1                ) end-code


\ DF
\ In vocabulary FORTH
( 00403CB1 85 3C 40 00    ) \ link to REPEAT
( 00403CB5 C4 54 48 45 4E )
( 00403CBA 00             ) code THEN IMMEDIATE  COMPILE-ONLY 

( 00403CBB E8 FE E7 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403CC0 E8 98 E6 FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 00403CC5 E8 A7 DE FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403CCA E8 37 E4 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403CCF E8 8A DE FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403CD4 E8 5B DD FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403CD9 C3             )     ret     near 

( 00403CDA                ) end-code


\ E0
\ In vocabulary FORTH
( 00403CDA B5 3C 40 00    ) \ link to THEN
( 00403CDE C3 41 46 54 00 ) code AFT IMMEDIATE  COMPILE-ONLY 

( 00403CE3 E8 55 DE FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403CE8 E8 7A FF FF FF )     call    ( 403C67 ) | FORTH ' AHEAD 
( 00403CED E8 C5 FE FF FF )     call    ( 403BB7 ) | FORTH ' BEGIN 
( 00403CF2 E8 67 DE FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403CF7 C3             )     ret     near 

( 00403CF8                ) end-code


\ E1
\ In vocabulary FORTH
( 00403CF8 DE 3C 40 00    ) \ link to AFT
( 00403CFC C4 45 4C 53 45 )
( 00403D01 00             ) code ELSE IMMEDIATE  COMPILE-ONLY 

( 00403D02 E8 60 FF FF FF )     call    ( 403C67 ) | FORTH ' AHEAD 
( 00403D07 E8 52 DE FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403D0C E8 AA FF FF FF )     call    ( 403CBB ) | FORTH ' THEN 
( 00403D11 C3             )     ret     near 

( 00403D12                ) end-code


\ E2
\ In vocabulary FORTH
( 00403D12 FC 3C 40 00    ) \ link to ELSE
( 00403D16 C5 57 48 49 4C )
( 00403D1B 45 00          ) code WHILE IMMEDIATE  COMPILE-ONLY 

( 00403D1D E8 20 FF FF FF )     call    ( 403C42 ) | FORTH ' IF 
( 00403D22 E8 37 DE FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00403D27 C3             )     ret     near 

( 00403D28                ) end-code


\ E3
\ In vocabulary FORTH
( 00403D28 16 3D 40 00    ) \ link to WHILE
( 00403D2C 86 41 42 4F 52 )
( 00403D31 54 22 00       ) code ABORT" IMMEDIATE 

( 00403D34 E8 57 FD FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403D39 E8 86 F9 FF FF )     call    ( 4036C4 ) | FORTH ' doABORT" 
( 00403D3E E8 FD FD FF FF )     call    ( 403B40 ) | FORTH ' $," 
( 00403D43 C3             )     ret     near 

( 00403D44                ) end-code


\ E4
\ In vocabulary FORTH
( 00403D44 2C 3D 40 00    ) \ link to ABORT"
( 00403D48 82 5A 22 00    ) code Z" IMMEDIATE 

( 00403D4C E8 3F FD FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403D51 E8 67 F1 FF FF )     call    ( 402EBD ) | FORTH ' Z"| 
( 00403D56 E8 E5 FD FF FF )     call    ( 403B40 ) | FORTH ' $," 
( 00403D5B C3             )     ret     near 

( 00403D5C                ) end-code


\ E5
\ In vocabulary FORTH
( 00403D5C 48 3D 40 00    ) \ link to Z"
( 00403D60 82 24 22 00    ) code $" IMMEDIATE 

( 00403D64 E8 27 FD FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403D69 E8 0B F1 FF FF )     call    ( 402E79 ) | FORTH ' $"| 
( 00403D6E E8 CD FD FF FF )     call    ( 403B40 ) | FORTH ' $," 
( 00403D73 C3             )     ret     near 

( 00403D74                ) end-code


\ E6
\ In vocabulary FORTH
( 00403D74 60 3D 40 00    ) \ link to $"
( 00403D78 82 2E 22 00    ) code ." IMMEDIATE 

( 00403D7C E8 0F FD FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403D81 E8 1F F1 FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 00403D86 E8 B5 FD FF FF )     call    ( 403B40 ) | FORTH ' $," 
( 00403D8B C3             )     ret     near 

( 00403D8C                ) end-code


\ E7
\ In vocabulary FORTH
( 00403D8C 78 3D 40 00    ) \ link to ."
( 00403D90 07 3F 55 4E 49 )
( 00403D95 51 55 45 00    ) code ?UNIQUE

( 00403D99 E8 ED E5 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00403D9E E8 7E E1 FF FF )     call    ( 401F21 ) | FORTH ' CAP 
( 00403DA3 E8 A5 DD FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403DA8 E8 A7 DC FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403DAD E8 53 DD FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00403DB2 E8 7D DC FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403DB7 E8 91 DD FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403DBC E8 06 E1 FF FF )     call    ( 401EC7 ) | FORTH ' CURRENT 
( 00403DC1 E8 8E DC FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403DC6 E8 6D F4 FF FF )     call    ( 403238 ) | FORTH ' find 
( 00403DCB E8 86 E2 FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00403DD0 0B DB          )     or      ebx , ebx 
( 00403DD2 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403DD5 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403DD8 74 13          )     je      ( 403DED ) @@1 
( 00403DDA E8 C6 F0 FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 00403DDF 07 20 72 65 44 )
( 00403DE4 65 66 20 00    )     | FORTH str,"  reDef " 
( 00403DE8 E8 A1 04 00 00 )     call    ( 40428E ) | FORTH ' .ID 
( 00403DED                ) @@1: 
( 00403DED E8 4B DD FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403DF2 E8 E9 DC FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00403DF7 E8 25 E1 FF FF )     call    ( 401F21 ) | FORTH ' CAP 
( 00403DFC E9 33 DC FF FF )     jmp     ( 401A34 ) | FORTH ' ! 

( 00403E01                ) end-code


\ E8
\ In vocabulary FORTH
( 00403E01 90 3D 40 00    ) \ link to ?UNIQUE
( 00403E05 03 24 2C 6E 00 ) code $,n

( 00403E0A E8 3E DD FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403E0F E8 88 DC FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 00403E14 0B DB          )     or      ebx , ebx 
( 00403E16 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403E19 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403E1C 74 51          )     je      ( 403E6F ) @@1 
( 00403E1E E8 76 FF FF FF )     call    ( 403D99 ) | FORTH ' ?UNIQUE 
( 00403E23 E8 25 DD FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00403E28 E8 CF E0 FF FF )     call    ( 401EFC ) | FORTH ' LAST 
( 00403E2D E8 02 DC FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403E32 E8 26 E5 FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 00403E37 E8 8B E0 FF FF )     call    ( 401EC7 ) | FORTH ' CURRENT 
( 00403E3C E8 13 DC FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403E41 E8 0E DC FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403E46 E8 26 DD FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 00403E4B E8 E4 DB FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403E50 E8 F9 E4 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403E55 E8 2B E6 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00403E5A E8 4B E2 FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00403E5F E8 77 E4 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 00403E64 E8 6F E0 FF FF )     call    ( 401ED8 ) | FORTH ' CP 
( 00403E69 E8 C6 DB FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403E6E C3             )     ret     near 
( 00403E6F                ) @@1: 
( 00403E6F E8 05 F0 FF FF )     call    ( 402E79 ) | FORTH ' $"| 
( 00403E74 05 20 6E 61 6D )
( 00403E79 65 00          )     | FORTH str,"  name" 
( 00403E7B E8 BD DC FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00403E80 E8 60 E4 FF FF )     call    ( 4022E5 ) | FORTH ' 1- 
( 00403E85 E8 C7 F7 FF FF )     call    ( 403651 ) | FORTH ' THROW 

( 00403E8A                ) end-code


\ E9
\ In vocabulary FORTH
( 00403E8A 05 3E 40 00    ) \ link to $,n
( 00403E8E 08 24 43 4F 4D )
( 00403E93 50 49 4C 45 00 ) code $COMPILE

( 00403E98 E8 54 F4 FF FF )     call    ( 4032F1 ) | FORTH ' NAME? 
( 00403E9D E8 B4 E1 FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00403EA2 0B DB          )     or      ebx , ebx 
( 00403EA4 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403EA7 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403EAA 74 29          )     je      ( 403ED5 ) @@2 
( 00403EAC E8 A3 DB FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403EB1 E8 DF DA FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403EB6 80 00 00 00    )             80 | FORTH lit, 
( 00403EBA E8 D3 DC FF FF )     call    ( 401B92 ) | FORTH ' AND 
( 00403EBF 0B DB          )     or      ebx , ebx 
( 00403EC1 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403EC4 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403EC7 74 06          )     je      ( 403ECF ) @@1 
( 00403EC9 E8 F7 DA FF FF )     call    ( 4019C5 ) | FORTH ' EXECUTE 
( 00403ECE C3             )     ret     near 
( 00403ECF                ) @@1: 
( 00403ECF E8 8B 00 00 00 )     call    ( 403F5F ) | FORTH ' call, 
( 00403ED4 C3             )     ret     near 
( 00403ED5                ) @@2: 
( 00403ED5 E8 99 DF FF FF )     call    ( 401E73 ) | FORTH ' 'NUMBER 
( 00403EDA E8 29 E6 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 00403EDF 0B DB          )     or      ebx , ebx 
( 00403EE1 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00403EE4 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00403EE7 74 06          )     je      ( 403EEF ) @@3 
( 00403EE9 E8 E2 FB FF FF )     call    ( 403AD0 ) | FORTH ' LITERAL 
( 00403EEE C3             )     ret     near 
( 00403EEF                ) @@3: 
( 00403EEF E8 5D F7 FF FF )     call    ( 403651 ) | FORTH ' THROW 

( 00403EF4                ) end-code


\ EA
\ In vocabulary FORTH
( 00403EF4 8E 3E 40 00    ) \ link to $COMPILE
( 00403EF8 05 4F 56 45 52 )
( 00403EFD 54 00          ) code OVERT

( 00403EFF E8 F8 DF FF FF )     call    ( 401EFC ) | FORTH ' LAST 
( 00403F04 E8 4B DB FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403F09 E8 B9 DF FF FF )     call    ( 401EC7 ) | FORTH ' CURRENT 
( 00403F0E E8 41 DB FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403F13 E8 1C DB FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403F18 C3             )     ret     near 

( 00403F19                ) end-code


\ EB
\ In vocabulary FORTH
( 00403F19 F8 3E 40 00    ) \ link to OVERT
( 00403F1D 81 3B 00       ) code ; IMMEDIATE 

( 00403F20 E8 70 DA FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403F25 C3 00 00 00    )             C3 | FORTH lit, 
( 00403F29 E8 1E FB FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403F2E E8 21 F8 FF FF )     call    ( 403754 ) | FORTH ' [ 
( 00403F33 E8 C7 FF FF FF )     call    ( 403EFF ) | FORTH ' OVERT 
( 00403F38 C3             )     ret     near 

( 00403F39                ) end-code


\ EC
\ In vocabulary FORTH
( 00403F39 1D 3F 40 00    ) \ link to ;
( 00403F3D 01 5D 00       ) code ]

( 00403F40 E8 50 DA FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403F45 98 3E 40 00    )             ( 403E98 ) | FORTH ' $COMPILE | FORTH lit, 
( 00403F49 E8 0F DF FF FF )     call    ( 401E5D ) | FORTH ' 'EVAL 
( 00403F4E E8 E1 DA FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403F53 C3             )     ret     near 

( 00403F54                ) end-code


\ ED
\ In vocabulary FORTH
( 00403F54 3D 3F 40 00    ) \ link to ]
( 00403F58 05 63 61 6C 6C )
( 00403F5D 2C 00          ) code call,

( 00403F5F E8 31 DA FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403F64 E8 00 00 00    )             E8 | FORTH lit, 
( 00403F68 E8 DF FA FF FF )     call    ( 403A4C ) | FORTH ' C, 
( 00403F6D E8 4C E5 FF FF )     call    ( 4024BE ) | FORTH ' HERE 
( 00403F72 E8 D7 E3 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00403F77 E8 8A E1 FF FF )     call    ( 402106 ) | FORTH ' - 
( 00403F7C E8 A4 FA FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403F81 C3             )     ret     near 

( 00403F82                ) end-code


\ EE
\ In vocabulary FORTH
( 00403F82 58 3F 40 00    ) \ link to call,
( 00403F86 01 3A 00       ) code :

( 00403F89 E8 2D F2 FF FF )     call    ( 4031BB ) | FORTH ' TOKEN 
( 00403F8E E8 77 FE FF FF )     call    ( 403E0A ) | FORTH ' $,n 
( 00403F93 E8 A8 FF FF FF )     call    ( 403F40 ) | FORTH ' ] 
( 00403F98 C3             )     ret     near 

( 00403F99                ) end-code


\ EF
\ In vocabulary FORTH
( 00403F99 86 3F 40 00    ) \ link to :
( 00403F9D 09 49 4D 4D 45 )
( 00403FA2 44 49 41 54 45 )
( 00403FA7 00             ) code IMMEDIATE

( 00403FA8 E8 E8 D9 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00403FAD 80 00 00 00    )             80 | FORTH lit, 
( 00403FB1 E8 46 DF FF FF )     call    ( 401EFC ) | FORTH ' LAST 
( 00403FB6 E8 99 DA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403FBB E8 94 DA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403FC0 E8 DC DB FF FF )     call    ( 401BA1 ) | FORTH ' OR 
( 00403FC5 E8 32 DF FF FF )     call    ( 401EFC ) | FORTH ' LAST 
( 00403FCA E8 85 DA FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00403FCF E8 60 DA FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00403FD4 C3             )     ret     near 

( 00403FD5                ) end-code


\ F0
\ In vocabulary FORTH
( 00403FD5 9D 3F 40 00    ) \ link to IMMEDIATE
( 00403FD9 04 55 53 45 52 )
( 00403FDE 00             ) code USER

( 00403FDF E8 D7 F1 FF FF )     call    ( 4031BB ) | FORTH ' TOKEN 
( 00403FE4 E8 21 FE FF FF )     call    ( 403E0A ) | FORTH ' $,n 
( 00403FE9 E8 11 FF FF FF )     call    ( 403EFF ) | FORTH ' OVERT 
( 00403FEE E8 9D FA FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 00403FF3 E8 38 DD FF FF )     call    ( 401D30 ) | FORTH ' doUSER 
( 00403FF8 E8 28 FA FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00403FFD C3             )     ret     near 

( 00403FFE                ) end-code


\ F1
\ In vocabulary FORTH
( 00403FFE D9 3F 40 00    ) \ link to USER
( 00404002 06 43 52 45 41 )
( 00404007 54 45 00       ) code CREATE

( 0040400A E8 AC F1 FF FF )     call    ( 4031BB ) | FORTH ' TOKEN 
( 0040400F E8 F6 FD FF FF )     call    ( 403E0A ) | FORTH ' $,n 
( 00404014 E8 E6 FE FF FF )     call    ( 403EFF ) | FORTH ' OVERT 
( 00404019 E8 72 FA FF FF )     call    ( 403A90 ) | FORTH ' COMPILE 
( 0040401E E8 EC DC FF FF )     call    ( 401D0F ) | FORTH ' doVAR 
( 00404023 C3             )     ret     near 

( 00404024                ) end-code


\ F2
\ In vocabulary FORTH
( 00404024 02 40 40 00    ) \ link to CREATE
( 00404028 08 56 41 52 49 )
( 0040402D 41 42 4C 45 00 ) code VARIABLE

( 00404032 E8 D3 FF FF FF )     call    ( 40400A ) | FORTH ' CREATE 
( 00404037 E8 4F E3 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 0040403C E8 E4 F9 FF FF )     call    ( 403A25 ) | FORTH ' , 
( 00404041 C3             )     ret     near 

( 00404042                ) end-code


\ F3
\ In vocabulary FORTH
( 00404042 28 40 40 00    ) \ link to VARIABLE
( 00404046 05 5F 54 59 50 )
( 0040404B 45 00          ) code _TYPE

( 0040404D E8 B3 DA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00404052 EB 19          )     jmp     ( 40406D ) @@2 
( 00404054                ) @@1: 
( 00404054 E8 F4 DA FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00404059 E8 3E DA FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 0040405E E8 50 E3 FF FF )     call    ( 4023B3 ) | FORTH ' >CHAR 
( 00404063 E8 EA EC FF FF )     call    ( 402D52 ) | FORTH ' EMIT 
( 00404068 E8 6E E2 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 0040406D                ) @@2: 
( 0040406D E8 77 D9 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00404072 DE FF FF FF    )             ( 404054 ) @@1 | FORTH adr, 
( 00404076 E8 C2 DA FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040407B C3             )     ret     near 

( 0040407C                ) end-code


\ F4
\ In vocabulary FORTH
( 0040407C 46 40 40 00    ) \ link to _TYPE
( 00404080 03 64 6D 2B 00 ) code dm+

( 00404085 E8 E7 DA FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040408A E8 06 D9 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040408F 04 00 00 00    )             4 | FORTH lit, 
( 00404093 E8 63 EE FF FF )     call    ( 402EFB ) | FORTH ' U.R 
( 00404098 E8 11 ED FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 0040409D E8 63 DA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004040A2 EB 1D          )     jmp     ( 4040C1 ) @@2 
( 004040A4                ) @@1: 
( 004040A4 E8 A4 DA FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004040A9 E8 EE D9 FF FF )     call    ( 401A9C ) | FORTH ' C@ 
( 004040AE E8 E2 D8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004040B3 03 00 00 00    )             3 | FORTH lit, 
( 004040B7 E8 3F EE FF FF )     call    ( 402EFB ) | FORTH ' U.R 
( 004040BC E8 1A E2 FF FF )     call    ( 4022DB ) | FORTH ' 1+ 
( 004040C1                ) @@2: 
( 004040C1 E8 23 D9 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 004040C6 DA FF FF FF    )             ( 4040A4 ) @@1 | FORTH adr, 
( 004040CA C3             )     ret     near 

( 004040CB                ) end-code


\ F5
\ In vocabulary FORTH
( 004040CB 80 40 40 00    ) \ link to dm+
( 004040CF 04 44 55 4D 50 )
( 004040D4 00             ) code DUMP

( 004040D5 E8 13 DD FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 004040DA E8 75 D9 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004040DF E8 21 DA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004040E4 E8 8A E6 FF FF )     call    ( 402773 ) | FORTH ' HEX 
( 004040E9 E8 A7 D8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004040EE 10 00 00 00    )             10 | FORTH lit, 
( 004040F2 E8 4D E1 FF FF )     call    ( 402244 ) | FORTH ' / 
( 004040F7 E8 09 DA FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004040FC EB 45          )     jmp     ( 404143 ) @@2 
( 004040FE                ) @@1: 
( 004040FE E8 19 ED FF FF )     call    ( 402E1C ) | FORTH ' CR 
( 00404103 E8 8D D8 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00404108 10 00 00 00    )             10 | FORTH lit, 
( 0040410C E8 85 DF FF FF )     call    ( 402096 ) | FORTH ' 2DUP 
( 00404111 E8 6F FF FF FF )     call    ( 404085 ) | FORTH ' dm+ 
( 00404116 E8 50 DF FF FF )     call    ( 40206B ) | FORTH ' ROT 
( 0040411B E8 4B DF FF FF )     call    ( 40206B ) | FORTH ' ROT 
( 00404120 E8 89 EC FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 00404125 E8 84 EC FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 0040412A E8 1E FF FF FF )     call    ( 40404D ) | FORTH ' _TYPE 
( 0040412F E8 2D EC FF FF )     call    ( 402D61 ) | FORTH ' NUF? 
( 00404134 E8 99 DF FF FF )     call    ( 4020D2 ) | FORTH ' NOT 
( 00404139 0B DB          )     or      ebx , ebx 
( 0040413B 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040413E 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00404141 74 0B          )     je      ( 40414E ) @@3 
( 00404143                ) @@2: 
( 00404143 E8 A1 D8 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 00404148 B2 FF FF FF    )             ( 4040FE ) @@1 | FORTH adr, 
( 0040414C EB 0A          )     jmp     ( 404158 ) @@4 
( 0040414E                ) @@3: 
( 0040414E E8 8D D9 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00404153 E8 E5 D9 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00404158                ) @@4: 
( 00404158 E8 E0 D9 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040415D E8 7E D9 FF FF )     call    ( 401AE0 ) | FORTH ' R> 
( 00404162 E8 86 DC FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 00404167 E8 C8 D8 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 0040416C C3             )     ret     near 

( 0040416D                ) end-code


\ F6
\ In vocabulary FORTH
( 0040416D CF 40 40 00    ) \ link to DUMP
( 00404171 02 2E 53 00    ) code .S

( 00404175 E8 34 EC FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 0040417A E8 83 E2 FF FF )     call    ( 402402 ) | FORTH ' DEPTH 
( 0040417F E8 81 D9 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 00404184 EB 0F          )     jmp     ( 404195 ) @@2 
( 00404186                ) @@1: 
( 00404186 E8 67 D9 FF FF )     call    ( 401AF2 ) | FORTH ' R@ 
( 0040418B E8 A3 E2 FF FF )     call    ( 402433 ) | FORTH ' PICK 
( 00404190 E8 BB ED FF FF )     call    ( 402F50 ) | FORTH ' . 
( 00404195                ) @@2: 
( 00404195 E8 4F D8 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 0040419A E8 FF FF FF    )             ( 404186 ) @@1 | FORTH adr, 
( 0040419E E8 0B EC FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 004041A3 C3             )     ret     near 

( 004041A4                ) end-code


\ F7
\ In vocabulary FORTH
( 004041A4 71 41 40 00    ) \ link to .S
( 004041A8 04 21 43 53 50 )
( 004041AD 00             ) code !CSP

( 004041AE E8 65 D9 FF FF )     call    ( 401B18 ) | FORTH ' SP@ 
( 004041B3 E8 91 DC FF FF )     call    ( 401E49 ) | FORTH ' CSP 
( 004041B8 E8 77 D8 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 004041BD C3             )     ret     near 

( 004041BE                ) end-code


\ F8
\ In vocabulary FORTH
( 004041BE A8 41 40 00    ) \ link to !CSP
( 004041C2 04 3F 43 53 50 )
( 004041C7 00             ) code ?CSP

( 004041C8 E8 4B D9 FF FF )     call    ( 401B18 ) | FORTH ' SP@ 
( 004041CD E8 77 DC FF FF )     call    ( 401E49 ) | FORTH ' CSP 
( 004041D2 E8 7D D8 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004041D7 E8 D5 D9 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 004041DC E8 E3 F4 FF FF )     call    ( 4036C4 ) | FORTH ' doABORT" 
( 004041E1 06 73 74 61 63 )
( 004041E6 6B 73 00       )     | FORTH str," stacks" 
( 004041E9 C3             )     ret     near 

( 004041EA                ) end-code


\ F9
\ In vocabulary FORTH
( 004041EA C2 41 40 00    ) \ link to ?CSP
( 004041EE 05 3E 4E 41 4D )
( 004041F3 45 00          ) code >NAME

( 004041F5 E8 CD DC FF FF )     call    ( 401EC7 ) | FORTH ' CURRENT 
( 004041FA                ) @@1: 
( 004041FA E8 4F E1 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 004041FF E8 50 D8 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00404204 E8 4D DE FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00404209 0B DB          )     or      ebx , ebx 
( 0040420B 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 0040420E 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00404211 74 67          )     je      ( 40427A ) @@4 
( 00404213 E8 7E DE FF FF )     call    ( 402096 ) | FORTH ' 2DUP 
( 00404218                ) @@2: 
( 00404218 E8 37 D8 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040421D E8 2B D9 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00404222 0B DB          )     or      ebx , ebx 
( 00404224 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404227 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040422A 74 20          )     je      ( 40424C ) @@3 
( 0040422C E8 65 DE FF FF )     call    ( 402096 ) | FORTH ' 2DUP 
( 00404231 E8 DA EF FF FF )     call    ( 403210 ) | FORTH ' NAME> 
( 00404236 E8 76 D9 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 0040423B 0B DB          )     or      ebx , ebx 
( 0040423D 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404240 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00404243 74 07          )     je      ( 40424C ) @@3 
( 00404245 E8 13 E1 FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 0040424A EB CC          )     jmp     ( 404218 ) @@2 
( 0040424C                ) @@3: 
( 0040424C E8 0D D9 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00404251 E8 E7 D8 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00404256 E8 FB DD FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 0040425B 0B DB          )     or      ebx , ebx 
( 0040425D 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404260 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00404263 74 95          )     je      ( 4041FA ) @@1 
( 00404265 E8 F4 D8 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 0040426A E8 CE D8 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040426F E8 EA D8 FF FF )     call    ( 401B5E ) | FORTH ' SWAP 
( 00404274 E8 C4 D8 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 00404279 C3             )     ret     near 
( 0040427A                ) @@4: 
( 0040427A E8 BE D8 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040427F E8 07 E1 FF FF )     call    ( 40238B ) | FORTH ' 0 
( 00404284 C3             )     ret     near 

( 00404285                ) end-code


\ FA
\ In vocabulary FORTH
( 00404285 EE 41 40 00    ) \ link to >NAME
( 00404289 03 2E 49 44 00 ) code .ID

( 0040428E E8 C3 DD FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00404293 0B DB          )     or      ebx , ebx 
( 00404295 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404298 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040429B 74 19          )     je      ( 4042B6 ) @@1 
( 0040429D E8 E3 E1 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 004042A2 E8 EE D6 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004042A7 1F 00 00 00    )             1F | FORTH lit, 
( 004042AB E8 E2 D8 FF FF )     call    ( 401B92 ) | FORTH ' AND 
( 004042B0 E8 36 EB FF FF )     call    ( 402DEB ) | FORTH ' TYPE 
( 004042B5 C3             )     ret     near 
( 004042B6                ) @@1: 
( 004042B6 E8 EA EB FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 004042BB 09 20 7B 6E 6F )
( 004042C0 4E 61 6D 65 7D )
( 004042C5 00             )     | FORTH str,"  {noName}" 
( 004042C6 C3             )     ret     near 

( 004042C7                ) end-code


\ FB
\ In vocabulary FORTH
( 004042C7 89 42 40 00    ) \ link to .ID
( 004042CB 03 53 45 45 00 ) code SEE

( 004042D0 E8 F8 F6 FF FF )     call    ( 4039CD ) | FORTH ' ' 
( 004042D5 E8 42 EB FF FF )     call    ( 402E1C ) | FORTH ' CR 
( 004042DA                ) @@1: 
( 004042DA E8 B6 D6 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004042DF 28 00 00 00    )             28 | FORTH lit, 
( 004042E3 E8 1D D8 FF FF )     call    ( 401B05 ) | FORTH ' >R 
( 004042E8                ) @@2: 
( 004042E8 E8 98 E1 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 004042ED E8 5B D8 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004042F2 E8 9E D6 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004042F7 E8 00 00 00    )             E8 | FORTH lit, 
( 004042FB E8 26 DE FF FF )     call    ( 402126 ) | FORTH ' = 
( 00404300 0B DB          )     or      ebx , ebx 
( 00404302 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404305 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 00404308 74 48          )     je      ( 404352 ) @@4 
( 0040430A E8 2E D8 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 0040430F E8 39 D8 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 00404314 E8 3B D7 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00404319 E8 53 D8 FF FF )     call    ( 401B71 ) | FORTH ' OVER 
( 0040431E E8 2B E0 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 00404323 E8 82 DD FF FF )     call    ( 4020AA ) | FORTH ' + 
( 00404328 E8 C8 FE FF FF )     call    ( 4041F5 ) | FORTH ' >NAME 
( 0040432D E8 24 DD FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 00404332 0B DB          )     or      ebx , ebx 
( 00404334 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404337 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040433A 74 11          )     je      ( 40434D ) @@3 
( 0040433C E8 6D EA FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 00404341 E8 48 FF FF FF )     call    ( 40428E ) | FORTH ' .ID 
( 00404346 E8 03 E0 FF FF )     call    ( 40234E ) | FORTH ' CELL+ 
( 0040434B EB 0A          )     jmp     ( 404357 ) @@5 
( 0040434D                ) @@3: 
( 0040434D E8 33 E1 FF FF )     call    ( 402485 ) | FORTH ' COUNT 
( 00404352                ) @@4: 
( 00404352 E8 F9 EB FF FF )     call    ( 402F50 ) | FORTH ' . 
( 00404357                ) @@5: 
( 00404357 E8 8D D6 FF FF )     call    ( 4019E9 ) | FORTH ' doNEXT 
( 0040435C 88 FF FF FF    )             ( 4042E8 ) @@2 | FORTH adr, 
( 00404360 E8 D9 E9 FF FF )     call    ( 402D3E ) | FORTH ' KEY 
( 00404365 E8 2B D6 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 0040436A 20 00 00 00    )             20 | FORTH lit, 
( 0040436E E8 3E D8 FF FF )     call    ( 401BB1 ) | FORTH ' XOR 
( 00404373 0B DB          )     or      ebx , ebx 
( 00404375 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 00404378 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 0040437B 0F 84 59 FF FF )
( 00404380 FF             )     je      ( 4042DA ) @@1 
( 00404381 E9 B7 D7 FF FF )     jmp     ( 401B3D ) | FORTH ' DROP 

( 00404386                ) end-code


\ FC
\ In vocabulary FORTH
( 00404386 CB 42 40 00    ) \ link to SEE
( 0040438A 05 57 4F 52 44 )
( 0040438F 53 00          ) code WORDS

( 00404391 E8 86 EA FF FF )     call    ( 402E1C ) | FORTH ' CR 
( 00404396 E8 16 DB FF FF )     call    ( 401EB1 ) | FORTH ' CONTEXT 
( 0040439B E8 B4 D6 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004043A0                ) @@1: 
( 004043A0 E8 AF D6 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 004043A5 E8 AC DC FF FF )     call    ( 402056 ) | FORTH ' ?DUP 
( 004043AA 0B DB          )     or      ebx , ebx 
( 004043AC 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004043AF 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004043B2 74 28          )     je      ( 4043DC ) @@2 
( 004043B4 E8 94 D7 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004043B9 E8 F0 E9 FF FF )     call    ( 402DAE ) | FORTH ' SPACE 
( 004043BE E8 CB FE FF FF )     call    ( 40428E ) | FORTH ' .ID 
( 004043C3 E8 95 DF FF FF )     call    ( 40235D ) | FORTH ' CELL- 
( 004043C8 E8 94 E9 FF FF )     call    ( 402D61 ) | FORTH ' NUF? 
( 004043CD 0B DB          )     or      ebx , ebx 
( 004043CF 8B 5D 00       )     mov     ebx , 0 [ebp] 
( 004043D2 8D 6D 04       )     lea     ebp , 4 [ebp] 
( 004043D5 74 C9          )     je      ( 4043A0 ) @@1 
( 004043D7 E8 61 D7 FF FF )     call    ( 401B3D ) | FORTH ' DROP 
( 004043DC                ) @@2: 
( 004043DC C3             )     ret     near 

( 004043DD                ) end-code


\ FD
\ In vocabulary FORTH
( 004043DD 8A 43 40 00    ) \ link to WORDS
( 004043E1 03 56 45 52 00 ) code VER

( 004043E6 E8 AA D5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 004043EB 21 02 00 00    )             221 | FORTH lit, 
( 004043EF C3             )     ret     near 

( 004043F0                ) end-code


\ FE
\ In vocabulary FORTH
( 004043F0 E1 43 40 00    ) \ link to VER
( 004043F4 02 68 69 00    ) code hi

( 004043F8 E8 8C D5 FF FF )     call    ( 401989 ) | FORTH ' !IO 
( 004043FD E8 A3 EA FF FF )     call    ( 402EA5 ) | FORTH ' ."| 
( 00404402 04 46 23 20 76 )
( 00404407 00             )     | FORTH str," F# v" 
( 00404408 E8 E0 D9 FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 0040440D E8 42 D6 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 00404412 E8 5C E3 FF FF )     call    ( 402773 ) | FORTH ' HEX 
( 00404417 E8 CA FF FF FF )     call    ( 4043E6 ) | FORTH ' VER 
( 0040441C E8 3C E2 FF FF )     call    ( 40265D ) | FORTH ' <# 
( 00404421 E8 93 E2 FF FF )     call    ( 4026B9 ) | FORTH ' # 
( 00404426 E8 8E E2 FF FF )     call    ( 4026B9 ) | FORTH ' # 
( 0040442B E8 65 D5 FF FF )     call    ( 401995 ) | FORTH ' doLIT 
( 00404430 2E 00 00 00    )             2E | FORTH lit, 
( 00404434 E8 56 E2 FF FF )     call    ( 40268F ) | FORTH ' HOLD 
( 00404439 E8 94 E2 FF FF )     call    ( 4026D2 ) | FORTH ' #S 
( 0040443E E8 D6 E2 FF FF )     call    ( 402719 ) | FORTH ' #> 
( 00404443 E8 A3 E9 FF FF )     call    ( 402DEB ) | FORTH ' TYPE 
( 00404448 E8 A0 D9 FF FF )     call    ( 401DED ) | FORTH ' BASE 
( 0040444D E8 E2 D5 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00404452 E9 C5 E9 FF FF )     jmp     ( 402E1C ) | FORTH ' CR 

( 00404457                ) end-code


\ FF
\ In vocabulary FORTH
( 00404457 F4 43 40 00    ) \ link to hi
( 0040445B 05 27 42 4F 4F )
( 00404460 54 00          ) code 'BOOT

( 00404462 E8 A8 D8 FF FF )     call    ( 401D0F ) | FORTH ' doVAR 
( 00404467 F8 43 40 00    )             4 allot 

( 0040446B                ) end-code


\ 100
\ In vocabulary FORTH
( 0040446B 5B 44 40 00    ) \ link to 'BOOT
( 0040446F 04 43 4F 4C 44 )
( 00404474 00             ) code COLD

( 00404475                ) @@1: 
( 00404475 E8 9E F3 FF FF )     call    ( 403818 ) | FORTH ' PRESET 
( 0040447A E8 E3 FF FF FF )     call    ( 404462 ) | FORTH ' 'BOOT 
( 0040447F E8 84 E0 FF FF )     call    ( 402508 ) | FORTH ' @EXECUTE 
( 00404484 E8 86 DA FF FF )     call    ( 401F0F ) | FORTH ' ROOT 
( 00404489 E8 23 DA FF FF )     call    ( 401EB1 ) | FORTH ' CONTEXT 
( 0040448E E8 A1 D5 FF FF )     call    ( 401A34 ) | FORTH ' ! 
( 00404493 E8 19 DA FF FF )     call    ( 401EB1 ) | FORTH ' CONTEXT 
( 00404498 E8 B7 D5 FF FF )     call    ( 401A54 ) | FORTH ' @ 
( 0040449D E8 AB D6 FF FF )     call    ( 401B4D ) | FORTH ' DUP 
( 004044A2 E8 20 DA FF FF )     call    ( 401EC7 ) | FORTH ' CURRENT 
( 004044A7 E8 A8 DF FF FF )     call    ( 402454 ) | FORTH ' 2! 
( 004044AC E8 4E FA FF FF )     call    ( 403EFF ) | FORTH ' OVERT 
( 004044B1 E8 5E DB FF FF )     call    ( 402014 ) | FORTH ' BOOTFILE 
( 004044B6 E8 49 E7 FF FF )     call    ( 402C04 ) | FORTH ' doFLOAD 
( 004044BB E8 46 F4 FF FF )     call    ( 403906 ) | FORTH ' QUIT 
( 004044C0 EB B3          )     jmp     ( 404475 ) @@1 

( 004044C2                ) end-code
