( locals 
: <name> { in1 in2 ... \ lo1 lo2 ... -- out1 out2 ... } ... ... ... ... ;
          ^localNameList              ^localOutputs[number of locals before outputs]
Local Variable Frames
	||pre|len| locals    ||pre|len|  locals    ||pre|len| locals    ||...
	 ^LocalFrames					    ^localPointer
4 -> lo1  : lo1 = 4
4 == lo1  : lo1 = 4
4 += lo1  : lo1 = lo1 + 4
4 -= lo1  : lo1 = lo1 - 4
)

anew <<locals>>
decimal

create localFrames 1000 allot
variable localPointer
variable localSwitch		( direct accumulating ins, vars or outs )
variable localInputs		( ins )
variable localVariables		( vars )
variable localOutputs		( outs )
variable localTotal		( total locals in local name list )
variable haveLocals		( let ; closing a word with locals )
variable oldCP			( preserve a name while searching local names )
variable localNameList		( points to local name specification list )
variable local#			( local id while searching local names )

: local ( # -- addr )		( compiled by ^ )
	cells localPointer @ +
	;

: local! ( n # -- )		( compiled by -> and == )
	local !
	;
: local+! ( n # -- )		( compiled by += )
	local +!
	;
: local-! ( n # -- )		( compiled by -= )
	>r negate r> local +!
	;

: local@ ( # -- n )		( compiled by a local itself )
	local @
	;

: localLength ( -- # )		( get length of current local frame )
	localPointer @ cell- @
	;
	
: initLocalFrame ( -- )
	localframes 1000 erase 
	localFrames 8 + localPointer ! ;
	
: nextLocalFrame ( -- )		( push a new local frame )
	localPointer @ 		( current-frame )
	dup cell- @ cells 	( current-frame current-length )
	over + 			( current-frame new-frame )
	2dup !			( current-frame new-frame )	
	cell+ 0 over !		( current-frame new-length )
	cell+ localPointer ! 	( current-frame )
	drop ;
	
: previousLocalFrame ( -- )	( pop local frame )
	localPointer @ 		( current frame )
	-8 + @			( pre )
	?dup			( 1st frame? )
	if localPointer !	( no, back up )
	then ;			( yes, stay here )
	
: compare ( b1 b2 -- f )	( f=0, if strings are same )
	dup c@ 
	for 	over c@ over c@ -
		if 2drop -1 r> drop exit then
		1+ swap 1+ swap
	next
	2drop 0 ;
	
	
: local? ( a -- # )			( search local name list, return local id )
	#tib 2@ >r >r >in @ >r
	localNameList @ 256 #tib 2! 0 >in !
 	cp @ oldcp !			( preserve this local name in word buffer )
 	dup count + cp !		( new word buffer for local names in list )
	0 local# !
	begin 	bl word			( a a2 )
		dup 1+ c@ 		( a a2 c )
		dup 125 =		( '}' )
		if 	drop 2drop -1	( not a local, exit with id=-1)
 			oldcp @ cp !	( restore word buffer )
			r> >in !	( restore interpreter pointers )
			r> r> #tib 2!
			exit 
		then
		dup 45 = swap 92 = or 	( '-' or '\' )
		if 	drop 
		else 			( a a2 )
			over compare	( a f )
			if 	1 local# +!	( not this local )
			else  	drop local# @	( found local )
 				oldcp @ cp !	( restore word buffer )
				r> >in !	( restore interpreter pointers )
				r> r> #tib 2!
				exit 
			then
		then
	again
	; 	

: $local_compile	( a - )		( compiler to handle locals )
	dup local? 	( a # )
	dup 0<
	if      drop $COMPILE		( not a local, compile regular word )
	else    compile doLit , compile local@ drop	( compile local )
	then
	;	

: ^   	bl word local? dup 0< 		( get address of a local )
	abort" not local var"  
	compile doLit , compile local 	\ LP
	; IMMEDIATE

: ->  	bl word local? dup 0< 
	abort" not local var"  
	compile doLit , compile local!	\ LP+!
	; IMMEDIATE

: ==  	bl word local? dup 0< 
	abort" not local var"  
	compile doLit , compile local!	\ LP+!
	; IMMEDIATE

: +=  	bl word local? dup 0< 
	abort" not local var"  
	compile doLit , compile local+! \ LP@+!
	; IMMEDIATE

: -=  	bl word local? dup 0< 
	abort" not local var"  
	compile doLit , compile local-! \ LP@-!
	; IMMEDIATE

: fixLocalLength ( # -- )
	localPointer @ cell- !
	;

: loadInputVariables ( # -- )
	for aft r@ local!
	then next
	;

: unloadOutputVariables ( start-id # -- )
	for aft dup local@ 1+
	then next
	drop
	;
		
: { 	( start processing local list )
	-1 haveLocals !					( mark locals )
	0 localOutputs !
	0 localInputs !
	0 localVariables !
	localInputs localSwitch !			( accumulate inputs )
	compile nextLocalFrame				( add new frame )
	tib  >in @ + 					( save interpreter pointers )
	localNameList !
	0 localTotal !  
	begin	bl word dup c@				( len )
		if else drop exit then 			( null string, exit )
		1+ c@					( 1st character )
		dup 125 =				( '}' )
		if 	drop localTotal @ ?dup
			if 	compile doLit ,
				compile fixLocalLength	( add local frame at runtime )
				localInputs @ ?dup
				if 	compile doLit ,
					compile loadInputVariables
				then 
	  			[ ' $local_compile literal ]
				'EVAL !			( start local compiler )
				exit 
			else exit then			( no local variables )
		then
		dup 45 =				( '-' )
		if 	drop localOutputs localSwitch !	( start accumulating outputs )
		else	92 =				( '\' )
			if localVariables localSwitch !	( start accumulating locals )
			else	1 localTotal +!		( got local name )
				1 localSwitch @ +!
			then
		then 
	again
	; immediate

: closeLocalFrame ( clean up when exiting a word with locals )	
	haveLocals @ if
		localOutputs @ ?dup
		if 	localInputs @ localVariables @ + ( start of output )
			compile doLit ,
			compile doLit , ( # of output variables )
			compile unloadOutputVariables
		then 
		compile previousLocalFrame
	then
	;

: exit	( redefine exit to clean up locals )
	closeLocalFrame
	[compile] exit
	; immediate

: ;	( redefine ; to clean up locals )
	closeLocalFrame
	0 haveLocals !
 	[ ' $compile literal ]
 	'EVAL !
	$C3 c, [compile] [ overt
	; immediate

initLocalFrame

\ : test { in1 in2 in3 \ lo1 lo2 lo3 -- out1 out2 out3 } 
\ \	5 4 3 2 1
\ 	in1 . in2 . in3 .
\ \	lo1
\  	in3 ( dup ." in=" .) -> lo3 lo3 ." lo=" .
\ 	lo3 -> out3  out3 == lo2                
\  	in2 += lo2 lo2 == out2
\  	in1 -= lo2 lo2 == out1
\ \	if . exit
\ \	else . .
\ \	then
\ \	dup 
\ 	;
        	
\ create string1 $"  in1 in2 in3 \ lo1 lo2 lo3 -- out1 out2 out3 }" 
\ create string2 $" out3"
\ 
\ string1 >body 1+ localNameList !
\ : test1 { in1 in2 in3 \ lo1 lo2 lo3 -- out1 out2 out3 } 
\ 	in1 in2 in3 dup >r .
\ 	dup r@ + >r .
\ 	dup r@ + >r .
\ 	r@ .
\ 	;	

: t1 { a b c \ l1 l2 -- o1 o2 } a -> o1 b -> o2 ;

: t2 { a b \ l1 -- o1 o2 } t1 -> o1 -> o2 ;

: t3 { a b \ l1 -- o1 o2 } t2 -> o1 -> o2 ;
